## lapack 3.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(LAPACK Fortran)

# Configure the warning and code coverage suppression file
configure_file( 
  "${LAPACK_SOURCE_DIR}/CTestCustom.cmake.in"
  "${LAPACK_BINARY_DIR}/CTestCustom.cmake"
  COPYONLY
)

# Add the CMake directory for custon CMake modules
set(CMAKE_MODULE_PATH "${LAPACK_SOURCE_DIR}/CMAKE" ${CMAKE_MODULE_PATH})

if (UNIX)
   if ( "${CMAKE_Fortran_COMPILER}" MATCHES "ifort" )
  set( CMAKE_Fortran_FLAGS "${CMAKE_Fortran_FLAGS} -fltconsistency -fp_port" )
   endif ()
   if ( "${CMAKE_Fortran_COMPILER}" MATCHES "xlf" )
  set( CMAKE_Fortran_FLAGS "${CMAKE_Fortran_FLAGS} -qnosave -qstrict=none" )
   endif ()
# Delete libmtsk in linking sequence for Sun/Oracle Fortran Compiler.
# This library is not present in the Sun package SolarisStudio12.3-linux-x86-bin
   STRING(REPLACE \;mtsk\; \; CMAKE_Fortran_IMPLICIT_LINK_LIBRARIES "${CMAKE_Fortran_IMPLICIT_LINK_LIBRARIES}")
endif ()

# Get Python
find_package(PythonInterp)
message(STATUS "Looking for Python found - ${PYTHONINTERP_FOUND}")
if (PYTHONINTERP_FOUND)
   message(STATUS "Using Python version ${PYTHON_VERSION_STRING}")
endif()
# --------------------------------------------------

# On Windows-GNU builds try to provide MS import libraries too.
if(BUILD_SHARED_LIBS)
  include(GNUtoMS)
endif()

if(GNUtoMS)
  set(LAPACK_GNUtoMS_IMPORT ${LAPACK_SOURCE_DIR}/CMAKE/lapack-GNUtoMS.cmake)
  set(LAPACK_GNUtoMS_INSTALL "include(\${_SELF_DIR}/lapack-GNUtoMS.cmake)")
  set(LAPACK_GNUtoMS_BUILD "include(\"${LAPACK_GNUtoMS_IMPORT}\")")
endif()

macro(lapack_install_library lib)
  install(TARGETS ${lib} EXPORT lapack-targets
    ARCHIVE DESTINATION lib${LIB_SUFFIX}
    LIBRARY DESTINATION lib${LIB_SUFFIX}
    RUNTIME DESTINATION bin
  )
  if(GNUtoMS)
    install(FILES ${CMAKE_ARCHIVE_OUTPUT_DIRECTORY}/lib${lib}.lib DESTINATION lib)
  endif()
endmacro()

# --------------------------------------------------
# Testing

enable_testing()
include(CTest)
enable_testing()
# --------------------------------------------------

# Organize output files.  On Windows this also keeps .dll files next
# to the .exe files that need them, making tests easy to run.
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${LAPACK_BINARY_DIR}/bin)
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${LAPACK_BINARY_DIR}/lib)
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${LAPACK_BINARY_DIR}/lib)

# --------------------------------------------------
# Check for any necessary platform specific compiler flags
include( CheckLAPACKCompilerFlags )
CheckLAPACKCompilerFlags()

# --------------------------------------------------
# Check second function

include(CheckTimeFunction)
set(TIME_FUNC NONE ${TIME_FUNC})
CHECK_TIME_FUNCTION(NONE TIME_FUNC)
CHECK_TIME_FUNCTION(INT_CPU_TIME TIME_FUNC)
CHECK_TIME_FUNCTION(EXT_ETIME TIME_FUNC)
CHECK_TIME_FUNCTION(EXT_ETIME_ TIME_FUNC)
CHECK_TIME_FUNCTION(INT_ETIME TIME_FUNC)
message(STATUS "--> Will use second_${TIME_FUNC}.f and dsecnd_${TIME_FUNC}.f as timing function.")

set(SECOND_SRC  ${LAPACK_SOURCE_DIR}/INSTALL/second_${TIME_FUNC}.f)
set(DSECOND_SRC  ${LAPACK_SOURCE_DIR}/INSTALL/dsecnd_${TIME_FUNC}.f)
set(prefix ${CMAKE_INSTALL_PREFIX})
set(libdir ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX})
set(PKG_CONFIG_DIR ${libdir}/pkgconfig)

# --------------------------------------------------
# Precision to build
# By default all precisions are generated


# --------------------------------------------------
# Subdirectories that need to be processed

option(USE_OPTIMIZED_BLAS "Whether or not to use an optimized BLAS library instead of included netlib BLAS" OFF)


# Check the usage of the user provided BLAS libraries
if(BLAS_LIBRARIES)
  include(CheckFortranFunctionExists)
  set(CMAKE_REQUIRED_LIBRARIES ${BLAS_LIBRARIES})
  CHECK_FORTRAN_FUNCTION_EXISTS("dgemm" BLAS_FOUND)
  unset( CMAKE_REQUIRED_LIBRARIES )
  if(BLAS_FOUND)
    message(STATUS "--> BLAS supplied by user is WORKING, will use ${BLAS_LIBRARIES}.")
  else(BLAS_FOUND)
    message(ERROR "--> BLAS supplied by user is not WORKING, CANNOT USE ${BLAS_LIBRARIES}.")
    message(ERROR "-->     Will use REFERENCE BLAS (by default)")
    message(ERROR "-->     Or Correct your BLAS_LIBRARIES entry ")
    message(ERROR "-->     Or Consider checking USE_OPTIMIZED_BLAS")
  endif(BLAS_FOUND)

# User did not provide a BLAS Library but specified to search for one
elseif( USE_OPTIMIZED_BLAS )
  find_package( BLAS )
endif (BLAS_LIBRARIES)

# Neither user specified or optimized BLAS libraries can be used
if(NOT BLAS_FOUND)
  message(STATUS "Using supplied NETLIB BLAS implementation")
  add_subdirectory(BLAS)
  set( BLAS_LIBRARIES blas )
else()
  set( CMAKE_EXE_LINKER_FLAGS 
    "${CMAKE_EXE_LINKER_FLAGS} ${BLAS_LINKER_FLAGS}" 
    CACHE STRING "Linker flags for executables" FORCE)
  set( CMAKE_MODULE_LINKER_FLAGS 
    "${CMAKE_MODULE_LINKER_FLAGS} ${BLAS_LINKER_FLAGS}" 
    CACHE STRING "Linker flags for modules" FORCE)
  set( CMAKE_SHARED_LINKER_FLAGS 
    "${CMAKE_SHARED_LINKER_FLAGS} ${BLAS_LINKER_FLAGS}" 
    CACHE STRING "Linker flags for shared libs" FORCE)
endif( NOT BLAS_FOUND )

option(USE_XBLAS "Build extended precision (needs XBLAS)" OFF)
if (USE_XBLAS)
  find_library(XBLAS_LIBRARY NAMES xblas)
endif(USE_XBLAS)
   
option(USE_OPTIMIZED_LAPACK "Whether or not to use an optimized LAPACK library instead of included netlib LAPACK" OFF)

# User did not provide a LAPACK Library but specified to search for one
if( USE_OPTIMIZED_LAPACK )
  find_package( LAPACK )
endif (USE_OPTIMIZED_LAPACK)

# Check the usage of the user provided or automatically found LAPACK libraries
if(LAPACK_LIBRARIES)
  include(CheckFortranFunctionExists)
  set(CMAKE_REQUIRED_LIBRARIES ${LAPACK_LIBRARIES})
  # Check if new routine of 3.4.0 is in LAPACK_LIBRARIES
  CHECK_FORTRAN_FUNCTION_EXISTS("dgeqrt" LATESTLAPACK_FOUND)
  unset( CMAKE_REQUIRED_LIBRARIES )
  if(LATESTLAPACK_FOUND)
    message(STATUS "--> LAPACK supplied by user is WORKING, will use ${LAPACK_LIBRARIES}.")
  else(LAPACK_FOUND)
    message(ERROR "--> LAPACK supplied by user is not WORKING or is older than LAPACK 3.4.0, 	CANNOT USE ${LAPACK_LIBRARIES}.")
    message(ERROR "-->     Will use REFERENCE LAPACK (by default)")
    message(ERROR "-->     Or Correct your LAPACK_LIBRARIES entry ")
    message(ERROR "-->     Or Consider checking USE_OPTIMIZED_LAPACK")
  endif(LATESTLAPACK_FOUND)
endif (LAPACK_LIBRARIES)

# Neither user specified or optimized LAPACK libraries can be used
if(NOT LATESTLAPACK_FOUND)
  message(STATUS "Using supplied NETLIB LAPACK implementation")
  set( LAPACK_LIBRARIES lapack )
  option(BUILD_SINGLE "Build LAPACK Single Precision" ON)
  option(BUILD_DOUBLE "Build LAPACK Double Precision" ON)
  option(BUILD_COMPLEX "Build LAPACK Complex Precision" ON)
  option(BUILD_COMPLEX16 "Build LAPACK Double Complex Precision" ON)
  add_subdirectory(SRC)
else()
  set( CMAKE_EXE_LINKER_FLAGS 
    "${CMAKE_EXE_LINKER_FLAGS} ${LAPACK_LINKER_FLAGS}" 
    CACHE STRING "Linker flags for executables" FORCE)
  set( CMAKE_MODULE_LINKER_FLAGS 
    "${CMAKE_MODULE_LINKER_FLAGS} ${LAPACK_LINKER_FLAGS}" 
    CACHE STRING "Linker flags for modules" FORCE)
  set( CMAKE_SHARED_LINKER_FLAGS 
    "${CMAKE_SHARED_LINKER_FLAGS} ${LAPACK_LINKER_FLAGS}" 
    CACHE STRING "Linker flags for shared libs" FORCE)
endif( NOT LATESTLAPACK_FOUND )

message(STATUS "BUILD TESTING : ${BUILD_TESTING}" )
if(BUILD_TESTING)
  add_subdirectory(TESTING)
endif(BUILD_TESTING)

# --------------------------------------------------
# LAPACKE
option(LAPACKE "Build LAPACKE" OFF)

# LAPACKE has also the interface to some routines from tmglib,
# if LAPACKE_WITH_TMG is selected, we need to add those routines to LAPACKE
option(LAPACKE_WITH_TMG "Build LAPACKE with tmglib routines" OFF)
if (LAPACKE_WITH_TMG)
  set(LAPACKE ON)
  if(NOT BUILD_TESTING)
     add_subdirectory(TESTING/MATGEN)
   endif(NOT BUILD_TESTING)
endif(LAPACKE_WITH_TMG)

if(LAPACKE)
  add_subdirectory(lapacke)
endif(LAPACKE)

# --------------------------------------------------
# CPACK Packaging 

SET(CPACK_PACKAGE_NAME "LAPACK")
SET(CPACK_PACKAGE_VENDOR "University of Tennessee, Univ. of California Berkeley, Univ. of Colorado Denver and NAG Ltd")
SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "LAPACK- Linear Algebra Package")
set(LAPACK_VERSION 3.4.2)
set(CPACK_PACKAGE_VERSION_MAJOR 3)
set(CPACK_PACKAGE_VERSION_MINOR 4)
set(CPACK_PACKAGE_VERSION_PATCH 2)
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
SET(CPACK_PACKAGE_INSTALL_DIRECTORY "LAPACK")
IF(WIN32 AND NOT UNIX)
  # There is a bug in NSI that does not handle full unix paths properly. Make
  # sure there is at least one set of four (4) backlasshes.
  SET(CPACK_NSIS_HELP_LINK "http:\\\\\\\\http://icl.cs.utk.edu/lapack-forum")
  SET(CPACK_NSIS_URL_INFO_ABOUT "http:\\\\\\\\www.netlib.org/lapack")
  SET(CPACK_NSIS_CONTACT "lapack@eecs.utk.edu")
  SET(CPACK_NSIS_MODIFY_PATH ON)
  SET(CPACK_NSIS_DISPLAY_NAME "LAPACK-${LAPACK_VERSION}")
  set(CPACK_PACKAGE_RELOCATABLE "true")
ELSE(WIN32 AND NOT UNIX)
  SET(CPACK_GENERATOR "TGZ")
  SET(CPACK_SOURCE_GENERATOR TGZ)
  SET(CPACK_SOURCE_PACKAGE_FILE_NAME "lapack-${LAPACK_VERSION}" )
  SET(CPACK_SOURCE_IGNORE_FILES ~$ .svn ${CPACK_SOURCE_IGNORE_FILES} )
ENDIF(WIN32 AND NOT UNIX)
INCLUDE(CPack)


# --------------------------------------------------
# By default static library
OPTION(BUILD_SHARED_LIBS "Build shared libraries" OFF )
OPTION(BUILD_STATIC_LIBS "Build static libraries" ON )
#OPTION(BUILD_SHARED_LIBS "Build shared libraries" ON )

if(NOT BLAS_FOUND)
  set(ALL_TARGETS ${ALL_TARGETS} blas)
endif(NOT BLAS_FOUND)

if(NOT LATESTLAPACK_FOUND)
  set(ALL_TARGETS ${ALL_TARGETS} lapack)
endif(NOT LATESTLAPACK_FOUND)

if(BUILD_TESTING OR LAPACKE_WITH_TMG)
  set(ALL_TARGETS ${ALL_TARGETS} tmglib)
endif(BUILD_TESTING OR LAPACKE_WITH_TMG)

if(LAPACKE)
  set(ALL_TARGETS ${ALL_TARGETS} lapacke)
endif(LAPACKE)

export(TARGETS ${ALL_TARGETS} FILE lapack-targets.cmake)

configure_file(${LAPACK_SOURCE_DIR}/CMAKE/lapack-config-version.cmake.in
  ${LAPACK_BINARY_DIR}/lapack-config-version.cmake @ONLY)
configure_file(${LAPACK_SOURCE_DIR}/CMAKE/lapack-config-build.cmake.in
  ${LAPACK_BINARY_DIR}/lapack-config.cmake @ONLY)


configure_file(${CMAKE_CURRENT_SOURCE_DIR}/lapack.pc.in ${CMAKE_CURRENT_BINARY_DIR}/lapack.pc)
  install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/lapack.pc
  DESTINATION ${PKG_CONFIG_DIR}
   )

configure_file(${LAPACK_SOURCE_DIR}/CMAKE/lapack-config-install.cmake.in
  ${LAPACK_BINARY_DIR}/CMakeFiles/lapack-config.cmake @ONLY)
install(FILES
  ${LAPACK_GNUtoMS_IMPORT}
  ${LAPACK_BINARY_DIR}/CMakeFiles/lapack-config.cmake
  ${LAPACK_BINARY_DIR}/lapack-config-version.cmake
  DESTINATION lib/cmake/lapack-${LAPACK_VERSION}
  )

install(EXPORT lapack-targets
  DESTINATION lib/cmake/lapack-${LAPACK_VERSION})

=== src/CMakeLists.txt ===
#######################################################################
#  This is the makefile to create a library for LAPACK.
#  The files are organized as follows:
#       ALLAUX -- Auxiliary routines called from all precisions
#       ALLXAUX -- Auxiliary routines called from all precisions but
#                  only from routines using extra precision.
#       SCLAUX -- Auxiliary routines called from both REAL and COMPLEX
#       DZLAUX -- Auxiliary routines called from both DOUBLE PRECISION
#                 and COMPLEX*16
#       SLASRC -- Single precision real LAPACK routines
#       SXLASRC -- Single precision real LAPACK routines using extra
#                  precision.
#       CLASRC -- Single precision complex LAPACK routines
#       CXLASRC -- Single precision complex LAPACK routines using extra
#                  precision.
#       DLASRC -- Double precision real LAPACK routines
#       DXLASRC -- Double precision real LAPACK routines using extra
#                  precision.
#       ZLASRC -- Double precision complex LAPACK routines
#       ZXLASRC -- Double precision complex LAPACK routines using extra
#                  precision.
#
#  The library can be set up to include routines for any combination
#  of the four precisions.  To create or add to the library, enter make
#  followed by one or more of the precisions desired.  Some examples:
#       make single
#       make single complex
#       make single double complex complex16
#  Alternatively, the command
#       make
#  without any arguments creates a library of all four precisions.
#  The library is called
#       lapack.a
#  and is created at the next higher directory level.
#
#  To remove the object files after the library is created, enter
#       make clean
#  On some systems, you can force the source files to be recompiled by
#  entering (for example)
#       make single FRC=FRC
#
#  ***Note***
#  The functions lsame, second, dsecnd, slamch, and dlamch may have
#  to be installed before compiling the library.  Refer to the
#  installation guide, LAPACK Working Note 41, for instructions.
#
#######################################################################

set(ALLAUX  ilaenv.f ieeeck.f lsamen.f  iparmq.f	
    ilaprec.f ilatrans.f ilauplo.f iladiag.f chla_transtype.f 
    ../INSTALL/ilaver.f ../INSTALL/lsame.f xerbla.f xerbla_array.f
    ../INSTALL/slamch.f)

set(ALLXAUX )

set(SCLAUX  
   sbdsdc.f 
   sbdsqr.f sdisna.f slabad.f slacpy.f sladiv.f slae2.f  slaebz.f 
   slaed0.f slaed1.f slaed2.f slaed3.f slaed4.f slaed5.f slaed6.f 
   slaed7.f slaed8.f slaed9.f slaeda.f slaev2.f slagtf.f 
   slagts.f slamrg.f slanst.f 
   slapy2.f slapy3.f slarnv.f 
   slarra.f slarrb.f slarrc.f slarrd.f slarre.f slarrf.f slarrj.f 
   slarrk.f slarrr.f slaneg.f 
   slartg.f slaruv.f slas2.f  slascl.f 
   slasd0.f slasd1.f slasd2.f slasd3.f slasd4.f slasd5.f slasd6.f 
   slasd7.f slasd8.f slasda.f slasdq.f slasdt.f 
   slaset.f slasq1.f slasq2.f slasq3.f slasq4.f slasq5.f slasq6.f 
   slasr.f  slasrt.f slassq.f slasv2.f spttrf.f sstebz.f sstedc.f 
   ssteqr.f ssterf.f slaisnan.f sisnan.f 
   slartgp.f slartgs.f 
   ${SECOND_SRC})

set(DZLAUX  
   dbdsdc.f 
   dbdsqr.f ddisna.f dlabad.f dlacpy.f dladiv.f dlae2.f  dlaebz.f 
   dlaed0.f dlaed1.f dlaed2.f dlaed3.f dlaed4.f dlaed5.f dlaed6.f 
   dlaed7.f dlaed8.f dlaed9.f dlaeda.f dlaev2.f dlagtf.f 
   dlagts.f dlamrg.f dlanst.f 
   dlapy2.f dlapy3.f dlarnv.f 
   dlarra.f dlarrb.f dlarrc.f dlarrd.f dlarre.f dlarrf.f dlarrj.f 
   dlarrk.f dlarrr.f dlaneg.f 
   dlartg.f dlaruv.f dlas2.f  dlascl.f 
   dlasd0.f dlasd1.f dlasd2.f dlasd3.f dlasd4.f dlasd5.f dlasd6.f 
   dlasd7.f dlasd8.f dlasda.f dlasdq.f dlasdt.f 
   dlaset.f dlasq1.f dlasq2.f dlasq3.f dlasq4.f dlasq5.f dlasq6.f 
   dlasr.f  dlasrt.f dlassq.f dlasv2.f dpttrf.f dstebz.f dstedc.f 
   dsteqr.f dsterf.f dlaisnan.f disnan.f 
   dlartgp.f dlartgs.f
   ../INSTALL/dlamch.f ${DSECOND_SRC})

set(SLASRC  
   sgbbrd.f sgbcon.f sgbequ.f sgbrfs.f sgbsv.f  
   sgbsvx.f sgbtf2.f sgbtrf.f sgbtrs.f sgebak.f sgebal.f sgebd2.f 
   sgebrd.f sgecon.f sgeequ.f sgees.f  sgeesx.f sgeev.f  sgeevx.f 
   sgegs.f  sgegv.f  sgehd2.f sgehrd.f sgelq2.f sgelqf.f 
   sgels.f  sgelsd.f sgelss.f sgelsx.f sgelsy.f sgeql2.f sgeqlf.f 
   sgeqp3.f sgeqpf.f sgeqr2.f sgeqr2p.f sgeqrf.f sgeqrfp.f sgerfs.f sgerq2.f sgerqf.f 
   sgesc2.f sgesdd.f sgesv.f  sgesvd.f sgesvx.f sgetc2.f sgetf2.f 
   sgetrf.f sgetri.f 
   sgetrs.f sggbak.f sggbal.f sgges.f  sggesx.f sggev.f  sggevx.f 
   sggglm.f sgghrd.f sgglse.f sggqrf.f 
   sggrqf.f sggsvd.f sggsvp.f sgtcon.f sgtrfs.f sgtsv.f  
   sgtsvx.f sgttrf.f sgttrs.f sgtts2.f shgeqz.f 
   shsein.f shseqr.f slabrd.f slacon.f slacn2.f 
   slaein.f slaexc.f slag2.f  slags2.f slagtm.f slagv2.f slahqr.f 
   slahrd.f slahr2.f slaic1.f slaln2.f slals0.f slalsa.f slalsd.f 
   slangb.f slange.f slangt.f slanhs.f slansb.f slansp.f 
   slansy.f slantb.f slantp.f slantr.f slanv2.f 
   slapll.f slapmt.f 
   slaqgb.f slaqge.f slaqp2.f slaqps.f slaqsb.f slaqsp.f slaqsy.f 
   slaqr0.f slaqr1.f slaqr2.f slaqr3.f slaqr4.f slaqr5.f 
   slaqtr.f slar1v.f slar2v.f ilaslr.f ilaslc.f 
   slarf.f  slarfb.f slarfg.f slarfgp.f slarft.f slarfx.f slargv.f 
   slarrv.f slartv.f 
   slarz.f  slarzb.f slarzt.f slaswp.f slasy2.f slasyf.f slasyf_rook.f 
   slatbs.f slatdf.f slatps.f slatrd.f slatrs.f slatrz.f slatzm.f 
   slauu2.f slauum.f sopgtr.f sopmtr.f sorg2l.f sorg2r.f 
   sorgbr.f sorghr.f sorgl2.f sorglq.f sorgql.f sorgqr.f sorgr2.f 
   sorgrq.f sorgtr.f sorm2l.f sorm2r.f 
   sormbr.f sormhr.f sorml2.f sormlq.f sormql.f sormqr.f sormr2.f 
   sormr3.f sormrq.f sormrz.f sormtr.f spbcon.f spbequ.f spbrfs.f 
   spbstf.f spbsv.f  spbsvx.f 
   spbtf2.f spbtrf.f spbtrs.f spocon.f spoequ.f sporfs.f sposv.f  
   sposvx.f spotf2.f spotrf.f spotri.f spotrs.f spstrf.f spstf2.f 
   sppcon.f sppequ.f 
   spprfs.f sppsv.f  sppsvx.f spptrf.f spptri.f spptrs.f sptcon.f 
   spteqr.f sptrfs.f sptsv.f  sptsvx.f spttrs.f sptts2.f srscl.f  
   ssbev.f  ssbevd.f ssbevx.f ssbgst.f ssbgv.f  ssbgvd.f ssbgvx.f 
   ssbtrd.f sspcon.f sspev.f  sspevd.f sspevx.f sspgst.f 
   sspgv.f  sspgvd.f sspgvx.f ssprfs.f sspsv.f  sspsvx.f ssptrd.f 
   ssptrf.f ssptri.f ssptrs.f sstegr.f sstein.f sstev.f  sstevd.f sstevr.f 
   sstevx.f ssycon.f ssyev.f  ssyevd.f ssyevr.f ssyevx.f ssygs2.f 
   ssygst.f ssygv.f  ssygvd.f ssygvx.f ssyrfs.f ssysv.f  ssysvx.f 
   ssytd2.f ssytf2.f ssytrd.f ssytrf.f ssytri.f ssytri2.f ssytri2x.f
   ssyswapr.f ssytrs.f ssytrs2.f ssyconv.f 
   ssytf2_rook.f ssytrf_rook.f ssytrs_rook.f
   ssytri_rook.f ssycon_rook.f ssysv_rook.f
   stbcon.f 
   stbrfs.f stbtrs.f stgevc.f stgex2.f stgexc.f stgsen.f 
   stgsja.f stgsna.f stgsy2.f stgsyl.f stpcon.f stprfs.f stptri.f 
   stptrs.f 
   strcon.f strevc.f strexc.f strrfs.f strsen.f strsna.f strsyl.f 
   strti2.f strtri.f strtrs.f stzrqf.f stzrzf.f sstemr.f 
   slansf.f spftrf.f spftri.f spftrs.f ssfrk.f stfsm.f stftri.f stfttp.f 
   stfttr.f stpttf.f stpttr.f strttf.f strttp.f 
   sgejsv.f  sgesvj.f  sgsvj0.f  sgsvj1.f 
   sgeequb.f ssyequb.f spoequb.f sgbequb.f
   sbbcsd.f slapmr.f sorbdb.f sorbdb1.f sorbdb2.f sorbdb3.f sorbdb4.f
   sorbdb5.f sorbdb6.f sorcsd.f sorcsd2by1.f
   sgeqrt.f sgeqrt2.f sgeqrt3.f sgemqrt.f
   stpqrt.f stpqrt2.f stpmqrt.f stprfb.f
  )

set(DSLASRC spotrs.f sgetrs.f spotrf.f sgetrf.f) 

set(SXLASRC  sgesvxx.f sgerfsx.f sla_gerfsx_extended.f sla_geamv.f		
   sla_gercond.f sla_gerpvgrw.f ssysvxx.f ssyrfsx.f			
   sla_syrfsx_extended.f sla_syamv.f sla_syrcond.f sla_syrpvgrw.f	
   sposvxx.f sporfsx.f sla_porfsx_extended.f sla_porcond.f		
   sla_porpvgrw.f sgbsvxx.f sgbrfsx.f sla_gbrfsx_extended.f		
   sla_gbamv.f sla_gbrcond.f sla_gbrpvgrw.f sla_lin_berr.f slarscl2.f	
   slascl2.f sla_wwaddw.f)

set(CLASRC 
   cbdsqr.f cgbbrd.f cgbcon.f cgbequ.f cgbrfs.f cgbsv.f  cgbsvx.f 
   cgbtf2.f cgbtrf.f cgbtrs.f cgebak.f cgebal.f cgebd2.f cgebrd.f 
   cgecon.f cgeequ.f cgees.f  cgeesx.f cgeev.f  cgeevx.f 
   cgegs.f  cgegv.f  cgehd2.f cgehrd.f cgelq2.f cgelqf.f 
   cgels.f  cgelsd.f cgelss.f cgelsx.f cgelsy.f cgeql2.f cgeqlf.f cgeqp3.f 
   cgeqpf.f cgeqr2.f cgeqr2p.f cgeqrf.f cgeqrfp.f cgerfs.f cgerq2.f cgerqf.f 
   cgesc2.f cgesdd.f cgesv.f  cgesvd.f cgesvx.f cgetc2.f cgetf2.f cgetrf.f 
   cgetri.f cgetrs.f 
   cggbak.f cggbal.f cgges.f  cggesx.f cggev.f  cggevx.f cggglm.f 
   cgghrd.f cgglse.f cggqrf.f cggrqf.f 
   cggsvd.f cggsvp.f 
   cgtcon.f cgtrfs.f cgtsv.f  cgtsvx.f cgttrf.f cgttrs.f cgtts2.f chbev.f  
   chbevd.f chbevx.f chbgst.f chbgv.f  chbgvd.f chbgvx.f chbtrd.f 
   checon.f cheev.f  cheevd.f cheevr.f cheevx.f chegs2.f chegst.f 
   chegv.f  chegvd.f chegvx.f cherfs.f chesv.f  chesvx.f chetd2.f 
   chetf2.f chetrd.f 
   chetrf.f chetri.f chetri2.f chetri2x.f cheswapr.f
   chetrs.f chetrs2.f 
   chetf2_rook.f chetrf_rook.f chetri_rook.f chetrs_rook.f checon_rook.f chesv_rook.f
   chgeqz.f chpcon.f chpev.f  chpevd.f 
   chpevx.f chpgst.f chpgv.f  chpgvd.f chpgvx.f chprfs.f chpsv.f  
   chpsvx.f 
   chptrd.f chptrf.f chptri.f chptrs.f chsein.f chseqr.f clabrd.f 
   clacgv.f clacon.f clacn2.f clacp2.f clacpy.f clacrm.f clacrt.f cladiv.f 
   claed0.f claed7.f claed8.f 
   claein.f claesy.f claev2.f clags2.f clagtm.f 
   clahef.f clahef_rook.f clahqr.f 
   clahrd.f clahr2.f claic1.f clals0.f clalsa.f clalsd.f clangb.f clange.f clangt.f 
   clanhb.f clanhe.f 
   clanhp.f clanhs.f clanht.f clansb.f clansp.f clansy.f clantb.f 
   clantp.f clantr.f clapll.f clapmt.f clarcm.f claqgb.f claqge.f 
   claqhb.f claqhe.f claqhp.f claqp2.f claqps.f claqsb.f 
   claqr0.f claqr1.f claqr2.f claqr3.f claqr4.f claqr5.f 
   claqsp.f claqsy.f clar1v.f clar2v.f ilaclr.f ilaclc.f 
   clarf.f  clarfb.f clarfg.f clarfgp.f clarft.f 
   clarfx.f clargv.f clarnv.f clarrv.f clartg.f clartv.f 
   clarz.f  clarzb.f clarzt.f clascl.f claset.f clasr.f  classq.f 
   claswp.f clasyf.f clasyf_rook.f clatbs.f clatdf.f clatps.f clatrd.f clatrs.f clatrz.f 
   clatzm.f clauu2.f clauum.f cpbcon.f cpbequ.f cpbrfs.f cpbstf.f cpbsv.f  
   cpbsvx.f cpbtf2.f cpbtrf.f cpbtrs.f cpocon.f cpoequ.f cporfs.f 
   cposv.f  cposvx.f cpotf2.f cpotrf.f cpotri.f cpotrs.f cpstrf.f cpstf2.f 
   cppcon.f cppequ.f cpprfs.f cppsv.f  cppsvx.f cpptrf.f cpptri.f cpptrs.f 
   cptcon.f cpteqr.f cptrfs.f cptsv.f  cptsvx.f cpttrf.f cpttrs.f cptts2.f 
   crot.f   cspcon.f cspmv.f  cspr.f   csprfs.f cspsv.f  
   cspsvx.f csptrf.f csptri.f csptrs.f csrscl.f cstedc.f 
   cstegr.f cstein.f csteqr.f csycon.f csymv.f  
   csyr.f   csyrfs.f csysv.f  csysvx.f csytf2.f csytrf.f csytri.f 
   csytri2.f csytri2x.f csyswapr.f
   csytrs.f csytrs2.f csyconv.f 
   csytf2_rook.f csytrf_rook.f csytrs_rook.f
   csytri_rook.f csycon_rook.f csysv_rook.f
   ctbcon.f ctbrfs.f ctbtrs.f ctgevc.f ctgex2.f 
   ctgexc.f ctgsen.f ctgsja.f ctgsna.f ctgsy2.f ctgsyl.f ctpcon.f 
   ctprfs.f ctptri.f 
   ctptrs.f ctrcon.f ctrevc.f ctrexc.f ctrrfs.f ctrsen.f ctrsna.f 
   ctrsyl.f ctrti2.f ctrtri.f ctrtrs.f ctzrqf.f ctzrzf.f cung2l.f cung2r.f 
   cungbr.f cunghr.f cungl2.f cunglq.f cungql.f cungqr.f cungr2.f 
   cungrq.f cungtr.f cunm2l.f cunm2r.f cunmbr.f cunmhr.f cunml2.f 
   cunmlq.f cunmql.f cunmqr.f cunmr2.f cunmr3.f cunmrq.f cunmrz.f 
   cunmtr.f cupgtr.f cupmtr.f icmax1.f scsum1.f cstemr.f 
   chfrk.f ctfttp.f clanhf.f cpftrf.f cpftri.f cpftrs.f ctfsm.f ctftri.f 
   ctfttr.f ctpttf.f ctpttr.f ctrttf.f ctrttp.f 
   cgeequb.f cgbequb.f csyequb.f cpoequb.f cheequb.f
   cbbcsd.f clapmr.f cunbdb.f cunbdb1.f cunbdb2.f cunbdb3.f cunbdb4.f
   cunbdb5.f cunbdb6.f cuncsd.f cuncsd2by1.f
   cgeqrt.f cgeqrt2.f cgeqrt3.f cgemqrt.f
   ctpqrt.f ctpqrt2.f ctpmqrt.f ctprfb.f)

set(CXLASRC     cgesvxx.f cgerfsx.f cla_gerfsx_extended.f cla_geamv.f 
   cla_gercond_c.f cla_gercond_x.f cla_gerpvgrw.f 
   csysvxx.f csyrfsx.f cla_syrfsx_extended.f cla_syamv.f 
   cla_syrcond_c.f cla_syrcond_x.f cla_syrpvgrw.f 
   cposvxx.f cporfsx.f cla_porfsx_extended.f 
   cla_porcond_c.f cla_porcond_x.f cla_porpvgrw.f 
   cgbsvxx.f cgbrfsx.f cla_gbrfsx_extended.f cla_gbamv.f

=== src/Makefile ===
include ../make.inc

#######################################################################
#  This is the makefile to create a library for LAPACK.
#  The files are organized as follows:
#       ALLAUX  -- Auxiliary routines called from all precisions
#
#       SCLAUX  -- Auxiliary routines called from both REAL and COMPLEX.
#       DZLAUX  -- Auxiliary routines called from both DOUBLE and COMPLEX*16.
#
#       DSLASRC -- Double-single mixed precision real routines called from
#                  single, single-extra and double precision real LAPACK
#                  routines (i.e. from SLASRC, SXLASRC, DLASRC).
#       ZCLASRC -- Double-single mixed precision complex routines called from
#                  single, single-extra and double precision complex LAPACK
#                  routines (i.e. from CLASRC, CXLASRC, ZLASRC).
#
#       SLASRC  -- Single precision real LAPACK routines
#       SXLASRC -- Single precision real LAPACK routines using extra
#                  precision.
#       CLASRC  -- Single precision complex LAPACK routines
#       CXLASRC -- Single precision complex LAPACK routines using extra
#                  precision.
#       DLASRC  -- Double precision real LAPACK routines
#       DXLASRC -- Double precision real LAPACK routines using extra
#                  precision.
#       ZLASRC  -- Double precision complex LAPACK routines
#       ZXLASRC -- Double precision complex LAPACK routines using extra
#                  precision.   
#
#  The library can be set up to include routines for any combination
#  of the four precisions.  To create or add to the library, enter make
#  followed by one or more of the precisions desired.  Some examples:
#       make single
#       make single complex
#       make single double complex complex16
#  Alternatively, the command
#       make
#  without any arguments creates a library of all four precisions.
#  The library is called
#       lapack.a
#  and is created at the next higher directory level.
#
#  To remove the object files after the library is created, enter
#       make clean
#  On some systems, you can force the source files to be recompiled by
#  entering (for example)
#       make single FRC=FRC
#
#  ***Note***
#  The functions lsame, second, dsecnd, slamch, and dlamch may have
#  to be installed before compiling the library.  Refer to the
#  installation guide, LAPACK Working Note 41, for instructions.
#
#######################################################################

ALLAUX = ilaenv.o ieeeck.o lsamen.o xerbla.o xerbla_array.o iparmq.o	\
    ilaprec.o ilatrans.o ilauplo.o iladiag.o chla_transtype.o \
    ../INSTALL/ilaver.o ../INSTALL/lsame.o ../INSTALL/slamch.o

SCLAUX = \
   sbdsdc.o \
   sbdsqr.o sdisna.o slabad.o slacpy.o sladiv.o slae2.o  slaebz.o \
   slaed0.o slaed1.o slaed2.o slaed3.o slaed4.o slaed5.o slaed6.o \
   slaed7.o slaed8.o slaed9.o slaeda.o slaev2.o slagtf.o \
   slagts.o slamrg.o slanst.o \
   slapy2.o slapy3.o slarnv.o \
   slarra.o slarrb.o slarrc.o slarrd.o slarre.o slarrf.o slarrj.o \
   slarrk.o slarrr.o slaneg.o \
   slartg.o slaruv.o slas2.o  slascl.o \
   slasd0.o slasd1.o slasd2.o slasd3.o slasd4.o slasd5.o slasd6.o \
   slasd7.o slasd8.o slasda.o slasdq.o slasdt.o \
   slaset.o slasq1.o slasq2.o slasq3.o slasq4.o slasq5.o slasq6.o \
   slasr.o  slasrt.o slassq.o slasv2.o spttrf.o sstebz.o sstedc.o \
   ssteqr.o ssterf.o slaisnan.o sisnan.o \
   slartgp.o slartgs.o \
    ../INSTALL/second_$(TIMER).o

DZLAUX = \
   dbdsdc.o \
   dbdsqr.o ddisna.o dlabad.o dlacpy.o dladiv.o dlae2.o  dlaebz.o \
   dlaed0.o dlaed1.o dlaed2.o dlaed3.o dlaed4.o dlaed5.o dlaed6.o \
   dlaed7.o dlaed8.o dlaed9.o dlaeda.o dlaev2.o dlagtf.o \
   dlagts.o dlamrg.o dlanst.o \
   dlapy2.o dlapy3.o dlarnv.o \
   dlarra.o dlarrb.o dlarrc.o dlarrd.o dlarre.o dlarrf.o dlarrj.o \
   dlarrk.o dlarrr.o dlaneg.o \
   dlartg.o dlaruv.o dlas2.o  dlascl.o \
   dlasd0.o dlasd1.o dlasd2.o dlasd3.o dlasd4.o dlasd5.o dlasd6.o \
   dlasd7.o dlasd8.o dlasda.o dlasdq.o dlasdt.o \
   dlaset.o dlasq1.o dlasq2.o dlasq3.o dlasq4.o dlasq5.o dlasq6.o \
   dlasr.o  dlasrt.o dlassq.o dlasv2.o dpttrf.o dstebz.o dstedc.o \
   dsteqr.o dsterf.o dlaisnan.o disnan.o \
   dlartgp.o dlartgs.o \
   ../INSTALL/dlamch.o ../INSTALL/dsecnd_$(TIMER).o

SLASRC = \
   sgbbrd.o sgbcon.o sgbequ.o sgbrfs.o sgbsv.o  \
   sgbsvx.o sgbtf2.o sgbtrf.o sgbtrs.o sgebak.o sgebal.o sgebd2.o \
   sgebrd.o sgecon.o sgeequ.o sgees.o  sgeesx.o sgeev.o  sgeevx.o \
   sgegs.o  sgegv.o  sgehd2.o sgehrd.o sgelq2.o sgelqf.o \
   sgels.o  sgelsd.o sgelss.o sgelsx.o sgelsy.o sgeql2.o sgeqlf.o \
   sgeqp3.o sgeqpf.o sgeqr2.o sgeqr2p.o sgeqrf.o sgeqrfp.o sgerfs.o \
   sgerq2.o sgerqf.o sgesc2.o sgesdd.o sgesv.o  sgesvd.o sgesvx.o \
   sgetc2.o sgetf2.o sgetri.o \
   sggbak.o sggbal.o sgges.o  sggesx.o sggev.o  sggevx.o \
   sggglm.o sgghrd.o sgglse.o sggqrf.o \
   sggrqf.o sggsvd.o sggsvp.o sgtcon.o sgtrfs.o sgtsv.o  \
   sgtsvx.o sgttrf.o sgttrs.o sgtts2.o shgeqz.o \
   shsein.o shseqr.o slabrd.o slacon.o slacn2.o \
   slaein.o slaexc.o slag2.o  slags2.o slagtm.o slagv2.o slahqr.o \
   slahrd.o slahr2.o slaic1.o slaln2.o slals0.o slalsa.o slalsd.o \
   slangb.o slange.o slangt.o slanhs.o slansb.o slansp.o \
   slansy.o slantb.o slantp.o slantr.o slanv2.o \
   slapll.o slapmt.o \
   slaqgb.o slaqge.o slaqp2.o slaqps.o slaqsb.o slaqsp.o slaqsy.o \
   slaqr0.o slaqr1.o slaqr2.o slaqr3.o slaqr4.o slaqr5.o \
   slaqtr.o slar1v.o slar2v.o ilaslr.o ilaslc.o \
   slarf.o  slarfb.o slarfg.o slarfgp.o slarft.o slarfx.o slargv.o \
   slarrv.o slartv.o  \
   slarz.o  slarzb.o slarzt.o slaswp.o slasy2.o slasyf.o slasyf_rook.o \
   slatbs.o slatdf.o slatps.o slatrd.o slatrs.o slatrz.o slatzm.o \
   slauu2.o slauum.o sopgtr.o sopmtr.o sorg2l.o sorg2r.o \
   sorgbr.o sorghr.o sorgl2.o sorglq.o sorgql.o sorgqr.o sorgr2.o \
   sorgrq.o sorgtr.o sorm2l.o sorm2r.o \
   sormbr.o sormhr.o sorml2.o sormlq.o sormql.o sormqr.o sormr2.o \
   sormr3.o sormrq.o sormrz.o sormtr.o spbcon.o spbequ.o spbrfs.o \
   spbstf.o spbsv.o  spbsvx.o \
   spbtf2.o spbtrf.o spbtrs.o spocon.o spoequ.o sporfs.o sposv.o  \
   sposvx.o spotf2.o  spotri.o  spstrf.o spstf2.o \
   sppcon.o sppequ.o \
   spprfs.o sppsv.o  sppsvx.o spptrf.o spptri.o spptrs.o sptcon.o \
   spteqr.o sptrfs.o sptsv.o  sptsvx.o spttrs.o sptts2.o srscl.o  \
   ssbev.o  ssbevd.o ssbevx.o ssbgst.o ssbgv.o  ssbgvd.o ssbgvx.o \
   ssbtrd.o sspcon.o sspev.o  sspevd.o sspevx.o sspgst.o \
   sspgv.o  sspgvd.o sspgvx.o ssprfs.o sspsv.o  sspsvx.o ssptrd.o \
   ssptrf.o ssptri.o ssptrs.o sstegr.o sstein.o sstev.o  sstevd.o sstevr.o \
   sstevx.o \
   ssycon.o ssyev.o  ssyevd.o ssyevr.o ssyevx.o ssygs2.o \
   ssygst.o ssygv.o  ssygvd.o ssygvx.o ssyrfs.o ssysv.o  ssysvx.o \
   ssytd2.o ssytf2.o ssytrd.o ssytrf.o ssytri.o ssytri2.o ssytri2x.o \
   ssyswapr.o ssytrs.o ssytrs2.o ssyconv.o \
   ssytf2_rook.o ssytrf_rook.o ssytrs_rook.o \
   ssytri_rook.o ssycon_rook.o ssysv_rook.o \
   stbcon.o \
   stbrfs.o stbtrs.o stgevc.o stgex2.o stgexc.o stgsen.o \
   stgsja.o stgsna.o stgsy2.o stgsyl.o stpcon.o stprfs.o stptri.o \
   stptrs.o \
   strcon.o strevc.o strexc.o strrfs.o strsen.o strsna.o strsyl.o \
   strti2.o strtri.o strtrs.o stzrqf.o stzrzf.o sstemr.o \
   slansf.o spftrf.o spftri.o spftrs.o ssfrk.o stfsm.o stftri.o stfttp.o \
   stfttr.o stpttf.o stpttr.o strttf.o strttp.o \
   sgejsv.o  sgesvj.o  sgsvj0.o  sgsvj1.o \
   sgeequb.o ssyequb.o spoequb.o sgbequb.o \
   sbbcsd.o slapmr.o sorbdb.o sorbdb1.o sorbdb2.o sorbdb3.o sorbdb4.o \
   sorbdb5.o sorbdb6.o sorcsd.o sorcsd2by1.o \
   sgeqrt.o sgeqrt2.o sgeqrt3.o sgemqrt.o \
   stpqrt.o stpqrt2.o stpmqrt.o stprfb.o

DSLASRC = spotrs.o sgetrs.o spotrf.o sgetrf.o 

ifdef USEXBLAS
SXLASRC = sgesvxx.o sgerfsx.o sla_gerfsx_extended.o sla_geamv.o		\
   sla_gercond.o sla_gerpvgrw.o ssysvxx.o ssyrfsx.o			\
   sla_syrfsx_extended.o sla_syamv.o sla_syrcond.o sla_syrpvgrw.o	\
   sposvxx.o sporfsx.o sla_porfsx_extended.o sla_porcond.o		\
   sla_porpvgrw.o sgbsvxx.o sgbrfsx.o sla_gbrfsx_extended.o		\
   sla_gbamv.o sla_gbrcond.o sla_gbrpvgrw.o sla_lin_berr.o slarscl2.o	\
   slascl2.o sla_wwaddw.o
endif

CLASRC = \
   cbdsqr.o cgbbrd.o cgbcon.o cgbequ.o cgbrfs.o cgbsv.o  cgbsvx.o \
   cgbtf2.o cgbtrf.o cgbtrs.o cgebak.o cgebal.o cgebd2.o cgebrd.o \
   cgecon.o cgeequ.o cgees.o  cgeesx.o cgeev.o  cgeevx.o \
   cgegs.o  cgegv.o  cgehd2.o cgehrd.o cgelq2.o cgelqf.o \
   cgels.o  cgelsd.o cgelss.o cgelsx.o cgelsy.o cgeql2.o cgeqlf.o cgeqp3.o \
   cgeqpf.o cgeqr2.o cgeqr2p.o cgeqrf.o cgeqrfp.o cgerfs.o \
   cgerq2.o cgerqf.o cgesc2.o cgesdd.o cgesv.o  cgesvd.o  \
   cgesvx.o cgetc2.o cgetf2.o cgetri.o \
   cggbak.o cggbal.o cgges.o  cggesx.o cggev.o  cggevx.o cggglm.o \
   cgghrd.o cgglse.o cggqrf.o cggrqf.o \
   cggsvd.o cggsvp.o \
   cgtcon.o cgtrfs.o cgtsv.o  cgtsvx.o cgttrf.o cgttrs.o cgtts2.o chbev.o  \
   chbevd.o chbevx.o chbgst.o chbgv.o  chbgvd.o chbgvx.o chbtrd.o \
   checon.o cheev.o  cheevd.o cheevr.o cheevx.o chegs2.o chegst.o \
   chegv.o  chegvd.o chegvx.o cherfs.o chesv.o  chesvx.o chetd2.o \
   chetf2.o chetrd.o \
   chetrf.o chetri.o chetri2.o chetri2x.o cheswapr.o \
   chetrs.o chetrs2.o \
   chetf2_rook.o chetrf_rook.o chetri_rook.o chetrs_rook.o checon_rook.o chesv_rook.o \
   chgeqz.o chpcon.o chpev.o  chpevd.o \
   chpevx.o chpgst.o chpgv.o  chpgvd.o chpgvx.o chprfs.o chpsv.o  \
   chpsvx.o \
   chptrd.o chptrf.o chptri.o chptrs.o chsein.o chseqr.o clabrd.o \
   clacgv.o clacon.o clacn2.o clacp2.o clacpy.o clacrm.o clacrt.o cladiv.o \
   claed0.o claed7.o claed8.o \
   claein.o claesy.o claev2.o clags2.o clagtm.o \
   clahef.o clahef_rook.o clahqr.o \
   clahrd.o clahr2.o claic1.o clals0.o clalsa.o clalsd.o clangb.o clange.o clangt.o \
   clanhb.o clanhe.o \
   clanhp.o clanhs.o clanht.o clansb.o clansp.o clansy.o clantb.o \
   clantp.o clantr.o clapll.o clapmt.o clarcm.o claqgb.o claqge.o \
   claqhb.o claqhe.o claqhp.o claqp2.o claqps.o claqsb.o \
   claqr0.o claqr1.o claqr2.o claqr3.o claqr4.o claqr5.o \
   claqsp.o claqsy.o clar1v.o clar2v.o ilaclr.o ilaclc.o \
   clarf.o  clarfb.o clarfg.o clarft.o clarfgp.o \
   clarfx.o clargv.o clarnv.o clarrv.o clartg.o clartv.o \
   clarz.o  clarzb.o clarzt.o clascl.o claset.o clasr.o  classq.o \
   claswp.o clasyf.o clasyf_rook.o clatbs.o clatdf.o clatps.o clatrd.o clatrs.o clatrz.o \
   clatzm.o clauu2.o clauum.o cpbcon.o cpbequ.o cpbrfs.o cpbstf.o cpbsv.o  \
   cpbsvx.o cpbtf2.o cpbtrf.o cpbtrs.o cpocon.o cpoequ.o cporfs.o \
   cposv.o  cposvx.o cpotf2.o cpotri.o cpstrf.o cpstf2.o \
   cppcon.o cppequ.o cpprfs.o cppsv.o  cppsvx.o cpptrf.o cpptri.o cpptrs.o \
   cptcon.o cpteqr.o cptrfs.o cptsv.o  cptsvx.o cpttrf.o cpttrs.o cptts2.o \
   crot.o   cspcon.o cspmv.o  cspr.o   csprfs.o cspsv.o  \
   cspsvx.o csptrf.o csptri.o csptrs.o csrscl.o cstedc.o \
   cstegr.o cstein.o csteqr.o \
   csycon.o csymv.o \
   csyr.o csyrfs.o csysv.o  csysvx.o csytf2.o csytrf.o csytri.o csytri2.o csytri2x.o \
   csyswapr.o csytrs.o csytrs2.o csyconv.o \
   csytf2_rook.o csytrf_rook.o csytrs_rook.o \
   csytri_rook.o csycon_rook.o csysv_rook.o \
   ctbcon.o ctbrfs.o ctbtrs.o ctgevc.o ctgex2.o \
   ctgexc.o ctgsen.o ctgsja.o ctgsna.o ctgsy2.o ctgsyl.o ctpcon.o \
   ctprfs.o ctptri.o \
   ctptrs.o ctrcon.o ctrevc.o ctrexc.o ctrrfs.o ctrsen.o ctrsna.o \
   ctrsyl.o ctrti2.o ctrtri.o ctrtrs.o ctzrqf.o ctzrzf.o cung2l.o cung2r.o \
   cungbr.o cunghr.o cungl2.o cunglq.o cungql.o cungqr.o cungr2.o \
   cungrq.o cungtr.o cunm2l.o cunm2r.o cunmbr.o cunmhr.o cunml2.o \
   cunmlq.o cunmql.o cunmqr.o cunmr2.o cunmr3.o cunmrq.o cunmrz.o \
   cunmtr.o cupgtr.o cupmtr.o icmax1.o scsum1.o cstemr.o \
   chfrk.o ctfttp.o clanhf.o cpftrf.o cpftri.o cpftrs.o ctfsm.o ctftri.o \
   ctfttr.o ctpttf.o ctpttr.o ctrttf.o ctrttp.o \
   cgeequb.o cgbequb.o csyequb.o cpoequb.o cheequb.o \
   cbbcsd.o clapmr.o cunbdb.o cunbdb1.o cunbdb2.o cunbdb3.o cunbdb4.o \
   cunbdb5.o cunbdb6.o cuncsd.o cuncsd2by1.o \
   cgeqrt.o cgeqrt2.o cgeqrt3.o cgemqrt.o \
   ctpqrt.o ctpqrt2.o ctpmqrt.o ctprfb.o

=== lapacke/mangling/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(MANGLING C Fortran)

add_executable(xintface Fintface.f Cintface.c)

=== lapacke/src/CMakeLists.txt ===
#AUX_SOURCE_DIRECTORY(${CMAKE_CURRENT_SOURCE_DIR} SRC_OBJ) 

SET (SRC_OBJ 
lapacke_cbbcsd.c
lapacke_cbbcsd_work.c
lapacke_cbdsqr.c
lapacke_cbdsqr_work.c
lapacke_cgbbrd.c
lapacke_cgbbrd_work.c
lapacke_cgbcon.c
lapacke_cgbcon_work.c
lapacke_cgbequ.c
lapacke_cgbequ_work.c
lapacke_cgbequb.c
lapacke_cgbequb_work.c
lapacke_cgbrfs.c
lapacke_cgbrfs_work.c
lapacke_cgbsv.c
lapacke_cgbsv_work.c
lapacke_cgbsvx.c
lapacke_cgbsvx_work.c
lapacke_cgbtrf.c
lapacke_cgbtrf_work.c
lapacke_cgbtrs.c
lapacke_cgbtrs_work.c
lapacke_cgebak.c
lapacke_cgebak_work.c
lapacke_cgebal.c
lapacke_cgebal_work.c
lapacke_cgebrd.c
lapacke_cgebrd_work.c
lapacke_cgecon.c
lapacke_cgecon_work.c
lapacke_cgeequ.c
lapacke_cgeequ_work.c
lapacke_cgeequb.c
lapacke_cgeequb_work.c
lapacke_cgees.c
lapacke_cgees_work.c
lapacke_cgeesx.c
lapacke_cgeesx_work.c
lapacke_cgeev.c
lapacke_cgeev_work.c
lapacke_cgeevx.c
lapacke_cgeevx_work.c
lapacke_cgehrd.c
lapacke_cgehrd_work.c
lapacke_cgelq2.c
lapacke_cgelq2_work.c
lapacke_cgelqf.c
lapacke_cgelqf_work.c
lapacke_cgels.c
lapacke_cgels_work.c
lapacke_cgelsd.c
lapacke_cgelsd_work.c
lapacke_cgelss.c
lapacke_cgelss_work.c
lapacke_cgelsy.c
lapacke_cgelsy_work.c
lapacke_cgemqrt.c
lapacke_cgemqrt_work.c
lapacke_cgeqlf.c
lapacke_cgeqlf_work.c
lapacke_cgeqp3.c
lapacke_cgeqp3_work.c
lapacke_cgeqpf.c
lapacke_cgeqpf_work.c
lapacke_cgeqr2.c
lapacke_cgeqr2_work.c
lapacke_cgeqrf.c
lapacke_cgeqrf_work.c
lapacke_cgeqrfp.c
lapacke_cgeqrfp_work.c
lapacke_cgeqrt.c
lapacke_cgeqrt2.c
lapacke_cgeqrt2_work.c
lapacke_cgeqrt3.c
lapacke_cgeqrt3_work.c
lapacke_cgeqrt_work.c
lapacke_cgerfs.c
lapacke_cgerfs_work.c
lapacke_cgerqf.c
lapacke_cgerqf_work.c
lapacke_cgesdd.c
lapacke_cgesdd_work.c
lapacke_cgesv.c
lapacke_cgesv_work.c
lapacke_cgesvd.c
lapacke_cgesvd_work.c
lapacke_cgesvx.c
lapacke_cgesvx_work.c
lapacke_cgetf2.c
lapacke_cgetf2_work.c
lapacke_cgetrf.c
lapacke_cgetrf_work.c
lapacke_cgetri.c
lapacke_cgetri_work.c
lapacke_cgetrs.c
lapacke_cgetrs_work.c
lapacke_cggbak.c
lapacke_cggbak_work.c
lapacke_cggbal.c
lapacke_cggbal_work.c
lapacke_cgges.c
lapacke_cgges_work.c
lapacke_cggesx.c
lapacke_cggesx_work.c
lapacke_cggev.c
lapacke_cggev_work.c
lapacke_cggevx.c
lapacke_cggevx_work.c
lapacke_cggglm.c
lapacke_cggglm_work.c
lapacke_cgghrd.c
lapacke_cgghrd_work.c
lapacke_cgglse.c
lapacke_cgglse_work.c
lapacke_cggqrf.c
lapacke_cggqrf_work.c
lapacke_cggrqf.c
lapacke_cggrqf_work.c
lapacke_cggsvd.c
lapacke_cggsvd_work.c
lapacke_cggsvp.c
lapacke_cggsvp_work.c
lapacke_cgtcon.c
lapacke_cgtcon_work.c
lapacke_cgtrfs.c
lapacke_cgtrfs_work.c
lapacke_cgtsv.c
lapacke_cgtsv_work.c
lapacke_cgtsvx.c
lapacke_cgtsvx_work.c
lapacke_cgttrf.c
lapacke_cgttrf_work.c
lapacke_cgttrs.c
lapacke_cgttrs_work.c
lapacke_chbev.c
lapacke_chbev_work.c
lapacke_chbevd.c
lapacke_chbevd_work.c
lapacke_chbevx.c
lapacke_chbevx_work.c
lapacke_chbgst.c
lapacke_chbgst_work.c
lapacke_chbgv.c
lapacke_chbgv_work.c
lapacke_chbgvd.c
lapacke_chbgvd_work.c
lapacke_chbgvx.c
lapacke_chbgvx_work.c
lapacke_chbtrd.c
lapacke_chbtrd_work.c
lapacke_checon.c
lapacke_checon_work.c
lapacke_cheequb.c
lapacke_cheequb_work.c
lapacke_cheev.c
lapacke_cheev_work.c
lapacke_cheevd.c
lapacke_cheevd_work.c
lapacke_cheevr.c
lapacke_cheevr_work.c
lapacke_cheevx.c
lapacke_cheevx_work.c
lapacke_chegst.c
lapacke_chegst_work.c
lapacke_chegv.c
lapacke_chegv_work.c
lapacke_chegvd.c
lapacke_chegvd_work.c
lapacke_chegvx.c
lapacke_chegvx_work.c
lapacke_cherfs.c
lapacke_cherfs_work.c
lapacke_chesv.c
lapacke_chesv_work.c
lapacke_chesvx.c
lapacke_chesvx_work.c
lapacke_cheswapr.c
lapacke_cheswapr_work.c
lapacke_chetrd.c
lapacke_chetrd_work.c
lapacke_chetrf.c
lapacke_chetrf_work.c
lapacke_chetri.c
lapacke_chetri2.c
lapacke_chetri2_work.c
lapacke_chetri2x.c
lapacke_chetri2x_work.c
lapacke_chetri_work.c
lapacke_chetrs.c
lapacke_chetrs2.c
lapacke_chetrs2_work.c
lapacke_chetrs_work.c
lapacke_chfrk.c
lapacke_chfrk_work.c
lapacke_chgeqz.c
lapacke_chgeqz_work.c
lapacke_chpcon.c
lapacke_chpcon_work.c
lapacke_chpev.c
lapacke_chpev_work.c
lapacke_chpevd.c
lapacke_chpevd_work.c
lapacke_chpevx.c
lapacke_chpevx_work.c
lapacke_chpgst.c
lapacke_chpgst_work.c
lapacke_chpgv.c
lapacke_chpgv_work.c
lapacke_chpgvd.c
lapacke_chpgvd_work.c
lapacke_chpgvx.c
lapacke_chpgvx_work.c
lapacke_chprfs.c
lapacke_chprfs_work.c
lapacke_chpsv.c
lapacke_chpsv_work.c
lapacke_chpsvx.c
lapacke_chpsvx_work.c
lapacke_chptrd.c
lapacke_chptrd_work.c
lapacke_chptrf.c
lapacke_chptrf_work.c
lapacke_chptri.c
lapacke_chptri_work.c
lapacke_chptrs.c
lapacke_chptrs_work.c
lapacke_chsein.c
lapacke_chsein_work.c
lapacke_chseqr.c
lapacke_chseqr_work.c
lapacke_clacgv.c
lapacke_clacgv_work.c
lapacke_clacn2.c
lapacke_clacn2_work.c
lapacke_clacp2.c
lapacke_clacp2_work.c
lapacke_clacpy.c
lapacke_clacpy_work.c
lapacke_clag2z.c
lapacke_clag2z_work.c
lapacke_clange.c
lapacke_clange_work.c
lapacke_clanhe.c
lapacke_clanhe_work.c
lapacke_clansy.c
lapacke_clansy_work.c
lapacke_clantr.c
lapacke_clantr_work.c
lapacke_clapmr.c
lapacke_clapmr_work.c
lapacke_clarfb.c
lapacke_clarfb_work.c
lapacke_clarfg.c
lapacke_clarfg_work.c
lapacke_clarft.c
lapacke_clarft_work.c
lapacke_clarfx.c
lapacke_clarfx_work.c
lapacke_clarnv.c
lapacke_clarnv_work.c
lapacke_claset.c
lapacke_claset_work.c
lapacke_claswp.c
lapacke_claswp_work.c
lapacke_clauum.c
lapacke_clauum_work.c
lapacke_cpbcon.c
lapacke_cpbcon_work.c
lapacke_cpbequ.c
lapacke_cpbequ_work.c
lapacke_cpbrfs.c
lapacke_cpbrfs_work.c
lapacke_cpbstf.c
lapacke_cpbstf_work.c
lapacke_cpbsv.c
lapacke_cpbsv_work.c
lapacke_cpbsvx.c
lapacke_cpbsvx_work.c
lapacke_cpbtrf.c
lapacke_cpbtrf_work.c
lapacke_cpbtrs.c
lapacke_cpbtrs_work.c
lapacke_cpftrf.c
lapacke_cpftrf_work.c
lapacke_cpftri.c
lapacke_cpftri_work.c
lapacke_cpftrs.c
lapacke_cpftrs_work.c
lapacke_cpocon.c
lapacke_cpocon_work.c
lapacke_cpoequ.c
lapacke_cpoequ_work.c
lapacke_cpoequb.c
lapacke_cpoequb_work.c
lapacke_cporfs.c
lapacke_cporfs_work.c
lapacke_cposv.c
lapacke_cposv_work.c
lapacke_cposvx.c
lapacke_cposvx_work.c
lapacke_cpotrf.c
lapacke_cpotrf_work.c
lapacke_cpotri.c
lapacke_cpotri_work.c
lapacke_cpotrs.c
lapacke_cpotrs_work.c
lapacke_cppcon.c
lapacke_cppcon_work.c
lapacke_cppequ.c
lapacke_cppequ_work.c
lapacke_cpprfs.c
lapacke_cpprfs_work.c
lapacke_cppsv.c
lapacke_cppsv_work.c
lapacke_cppsvx.c
lapacke_cppsvx_work.c
lapacke_cpptrf.c
lapacke_cpptrf_work.c
lapacke_cpptri.c
lapacke_cpptri_work.c
lapacke_cpptrs.c
lapacke_cpptrs_work.c
lapacke_cpstrf.c
lapacke_cpstrf_work.c
lapacke_cptcon.c
lapacke_cptcon_work.c
lapacke_cpteqr.c
lapacke_cpteqr_work.c
lapacke_cptrfs.c
lapacke_cptrfs_work.c
lapacke_cptsv.c
lapacke_cptsv_work.c
lapacke_cptsvx.c
lapacke_cptsvx_work.c
lapacke_cpttrf.c
lapacke_cpttrf_work.c
lapacke_cpttrs.c
lapacke_cpttrs_work.c
lapacke_cspcon.c
lapacke_cspcon_work.c
lapacke_csprfs.c
lapacke_csprfs_work.c
lapacke_cspsv.c
lapacke_cspsv_work.c
lapacke_cspsvx.c
lapacke_cspsvx_work.c
lapacke_csptrf.c
lapacke_csptrf_work.c
lapacke_csptri.c
lapacke_csptri_work.c
lapacke_csptrs.c
lapacke_csptrs_work.c
lapacke_cstedc.c
lapacke_cstedc_work.c
lapacke_cstegr.c
lapacke_cstegr_work.c
lapacke_cstein.c
lapacke_cstein_work.c
lapacke_cstemr.c
lapacke_cstemr_work.c
lapacke_csteqr.c
lapacke_csteqr_work.c
lapacke_csycon.c
lapacke_csycon_work.c
lapacke_csyconv.c
lapacke_csyconv_work.c
lapacke_csyequb.c
lapacke_csyequb_work.c
lapacke_csyrfs.c
lapacke_csyrfs_work.c
lapacke_csysv.c
lapacke_csysv_rook.c
lapacke_csysv_rook_work.c
lapacke_csysv_work.c
lapacke_csysvx.c
lapacke_csysvx_work.c
lapacke_csyswapr.c
lapacke_csyswapr_work.c
lapacke_csytrf.c
lapacke_csytrf_work.c
lapacke_csytri.c
lapacke_csytri2.c
lapacke_csytri2_work.c
lapacke_csytri2x.c
lapacke_csytri2x_work.c
lapacke_csytri_work.c
lapacke_csytrs.c
lapacke_csytrs2.c
lapacke_csytrs2_work.c
lapacke_csytrs_work.c
lapacke_ctbcon.c
lapacke_ctbcon_work.c
lapacke_ctbrfs.c
lapacke_ctbrfs_work.c
lapacke_ctbtrs.c
lapacke_ctbtrs_work.c
lapacke_ctfsm.c
lapacke_ctfsm_work.c
lapacke_ctftri.c
lapacke_ctftri_work.c
lapacke_ctfttp.c
lapacke_ctfttp_work.c
lapacke_ctfttr.c
lapacke_ctfttr_work.c
lapacke_ctgevc.c
lapacke_ctgevc_work.c
lapacke_ctgexc.c
lapacke_ctgexc_work.c
lapacke_ctgsen.c
lapacke_ctgsen_work.c
lapacke_ctgsja.c
lapacke_ctgsja_work.c
lapacke_ctgsna.c
lapacke_ctgsna_work.c
lapacke_ctgsyl.c
lapacke_ctgsyl_work.c
lapacke_ctpcon.c
lapacke_ctpcon_work.c
lapacke_ctpmqrt.c
lapacke_ctpmqrt_work.c
lapacke_ctpqrt.c
lapacke_ctpqrt2.c
lapacke_ctpqrt2_work.c
lapacke_ctpqrt_work.c
lapacke_ctprfb.c
lapacke_ctprfb_work.c
lapacke_ctprfs.c
lapacke_ctprfs_work.c
lapacke_ctptri.c
lapacke_ctptri_work.c
lapacke_ctptrs.c
lapacke_ctptrs_work.c
lapacke_ctpttf.c
lapacke_ctpttf_work.c
lapacke_ctpttr.c
lapacke_ctpttr_work.c
lapacke_ctrcon.c
lapacke_ctrcon_work.c
lapacke_ctrevc.c
lapacke_ctrevc_work.c
lapacke_ctrexc.c
lapacke_ctrexc_work.c
lapacke_ctrrfs.c
lapacke_ctrrfs_work.c
lapacke_ctrsen.c
lapacke_ctrsen_work.c
lapacke_ctrsna.c
lapacke_ctrsna_work.c
lapacke_ctrsyl.c
lapacke_ctrsyl_work.c
lapacke_ctrtri.c
lapacke_ctrtri_work.c
lapacke_ctrtrs.c
lapacke_ctrtrs_work.c
lapacke_ctrttf.c
lapacke_ctrttf_work.c
lapacke_ctrttp.c
lapacke_ctrttp_work.c
lapacke_ctzrzf.c
lapacke_ctzrzf_work.c
lapacke_cunbdb.c
lapacke_cunbdb_work.c
lapacke_cuncsd.c
lapacke_cuncsd_work.c
lapacke_cungbr.c
lapacke_cungbr_work.c
lapacke_cunghr.c
lapacke_cunghr_work.c
lapacke_cunglq.c
lapacke_cunglq_work.c
lapacke_cungql.c
lapacke_cungql_work.c
lapacke_cungqr.c
lapacke_cungqr_work.c
lapacke_cungrq.c
lapacke_cungrq_work.c
lapacke_cungtr.c
lapacke_cungtr_work.c
lapacke_cunmbr.c
lapacke_cunmbr_work.c
lapacke_cunmhr.c
lapacke_cunmhr_work.c
lapacke_cunmlq.c
lapacke_cunmlq_work.c
lapacke_cunmql.c
lapacke_cunmql_work.c
lapacke_cunmqr.c
lapacke_cunmqr_work.c
lapacke_cunmrq.c
lapacke_cunmrq_work.c
lapacke_cunmrz.c
lapacke_cunmrz_work.c
lapacke_cunmtr.c
lapacke_cunmtr_work.c
lapacke_cupgtr.c
lapacke_cupgtr_work.c
lapacke_cupmtr.c
lapacke_cupmtr_work.c
lapacke_dbbcsd.c
lapacke_dbbcsd_work.c
lapacke_dbdsdc.c
lapacke_dbdsdc_work.c
lapacke_dbdsqr.c
lapacke_dbdsqr_work.c
lapacke_ddisna.c
lapacke_ddisna_work.c
lapacke_dgbbrd.c
lapacke_dgbbrd_work.c
lapacke_dgbcon.c
lapacke_dgbcon_work.c
lapacke_dgbequ.c
lapacke_dgbequ_work.c
lapacke_dgbequb.c
lapacke_dgbequb_work.c
lapacke_dgbrfs.c
lapacke_dgbrfs_work.c
lapacke_dgbsv.c
lapacke_dgbsv_work.c
lapacke_dgbsvx.c
lapacke_dgbsvx_work.c
lapacke_dgbtrf.c
lapacke_dgbtrf_work.c
lapacke_dgbtrs.c
lapacke_dgbtrs_work.c
lapacke_dgebak.c
lapacke_dgebak_work.c
lapacke_dgebal.c
lapacke_dgebal_work.c
lapacke_dgebrd.c
lapacke_dgebrd_work.c
lapacke_dgecon.c
lapacke_dgecon_work.c
lapacke_dgeequ.c
lapacke_dgeequ_work.c
lapacke_dgeequb.c
lapacke_dgeequb_work.c
lapacke_dgees.c
lapacke_dgees_work.c
lapacke_dgeesx.c
lapacke_dgeesx_work.c
lapacke_dgeev.c
lapacke_dgeev_work.c
lapacke_dgeevx.c
lapacke_dgeevx_work.c
lapacke_dgehrd.c
lapacke_dgehrd_work.c
lapacke_dgejsv.c
lapacke_dgejsv_work.c
lapacke_dgelq2.c
lapacke_dgelq2_work.c
lapacke_dgelqf.c
lapacke_dgelqf_work.c
lapacke_dgels.c
lapacke_dgels_work.c
lapacke_dgelsd.c
lapacke_dgelsd_work.c
lapacke_dgelss.c
lapacke_dgelss_work.c
lapacke_dgelsy.c
lapacke_dgelsy_work.c
lapacke_dgemqrt.c
lapacke_dgemqrt_work.c
lapacke_dgeqlf.c
lapacke_dgeqlf_work.c
lapacke_dgeqp3.c
lapacke_dgeqp3_work.c
lapacke_dgeqpf.c
lapacke_dgeqpf_work.c
lapacke_dgeqr2.c
lapacke_dgeqr2_work.c
lapacke_dgeqrf.c
lapacke_dgeqrf_work.c
lapacke_dgeqrfp.c
lapacke_dgeqrfp_work.c
lapacke_dgeqrt.c
lapacke_dgeqrt2.c
lapacke_dgeqrt2_work.c
lapacke_dgeqrt3.c
lapacke_dgeqrt3_work.c
lapacke_dgeqrt_work.c
lapacke_dgerfs.c
lapacke_dgerfs_work.c
lapacke_dgerqf.c
lapacke_dgerqf_work.c
lapacke_dgesdd.c
lapacke_dgesdd_work.c
lapacke_dgesv.c
lapacke_dgesv_work.c
lapacke_dgesvd.c
lapacke_dgesvd_work.c
lapacke_dgesvj.c
lapacke_dgesvj_work.c
lapacke_dgesvx.c
lapacke_dgesvx_work.c
lapacke_dgetf2.c
lapacke_dgetf2_work.c
lapacke_dgetrf.c
lapacke_dgetrf_work.c
lapacke_dgetri.c
lapacke_dgetri_work.c
lapacke_dgetrs.c
lapacke_dgetrs_work.c
lapacke_dggbak.c
lapacke_dggbak_work.c
lapacke_dggbal.c
lapacke_dggbal_work.c
lapacke_dgges.c
lapacke_dgges_work.c
lapacke_dggesx.c
lapacke_dggesx_work.c
lapacke_dggev.c

=== lapacke/src/Makefile ===
##############################################################################
# Copyright (c) 2010, Intel Corp.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
#   * Redistributions of source code must retain the above copyright notice,
#     this list of conditions and the following disclaimer.
#   * Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#   * Neither the name of Intel Corporation nor the names of its contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
# THE POSSIBILITY OF SUCH DAMAGE.
##############################################################################
# Contents: Native C interface to LAPACK
# Author: Intel Corporation
# September, 2010
##############################################################################
# makefile for LAPACKE, used to build lapacke binary.
#
include ../../make.inc

SRC_OBJ = \
lapacke_cbbcsd.o \
lapacke_cbbcsd_work.o \
lapacke_cbdsqr.o \
lapacke_cbdsqr_work.o \
lapacke_cgbbrd.o \
lapacke_cgbbrd_work.o \
lapacke_cgbcon.o \
lapacke_cgbcon_work.o \
lapacke_cgbequ.o \
lapacke_cgbequ_work.o \
lapacke_cgbequb.o \
lapacke_cgbequb_work.o \
lapacke_cgbrfs.o \
lapacke_cgbrfs_work.o \
lapacke_cgbsv.o \
lapacke_cgbsv_work.o \
lapacke_cgbsvx.o \
lapacke_cgbsvx_work.o \
lapacke_cgbtrf.o \
lapacke_cgbtrf_work.o \
lapacke_cgbtrs.o \
lapacke_cgbtrs_work.o \
lapacke_cgebak.o \
lapacke_cgebak_work.o \
lapacke_cgebal.o \
lapacke_cgebal_work.o \
lapacke_cgebrd.o \
lapacke_cgebrd_work.o \
lapacke_cgecon.o \
lapacke_cgecon_work.o \
lapacke_cgeequ.o \
lapacke_cgeequ_work.o \
lapacke_cgeequb.o \
lapacke_cgeequb_work.o \
lapacke_cgees.o \
lapacke_cgees_work.o \
lapacke_cgeesx.o \
lapacke_cgeesx_work.o \
lapacke_cgeev.o \
lapacke_cgeev_work.o \
lapacke_cgeevx.o \
lapacke_cgeevx_work.o \
lapacke_cgehrd.o \
lapacke_cgehrd_work.o \
lapacke_cgelq2.o \
lapacke_cgelq2_work.o \
lapacke_cgelqf.o \
lapacke_cgelqf_work.o \
lapacke_cgels.o \
lapacke_cgels_work.o \
lapacke_cgelsd.o \
lapacke_cgelsd_work.o \
lapacke_cgelss.o \
lapacke_cgelss_work.o \
lapacke_cgelsy.o \
lapacke_cgelsy_work.o \
lapacke_cgemqrt.o \
lapacke_cgemqrt_work.o \
lapacke_cgeqlf.o \
lapacke_cgeqlf_work.o \
lapacke_cgeqp3.o \
lapacke_cgeqp3_work.o \
lapacke_cgeqpf.o \
lapacke_cgeqpf_work.o \
lapacke_cgeqr2.o \
lapacke_cgeqr2_work.o \
lapacke_cgeqrf.o \
lapacke_cgeqrf_work.o \
lapacke_cgeqrfp.o \
lapacke_cgeqrfp_work.o \
lapacke_cgeqrt.o \
lapacke_cgeqrt2.o \
lapacke_cgeqrt2_work.o \
lapacke_cgeqrt3.o \
lapacke_cgeqrt3_work.o \
lapacke_cgeqrt_work.o \
lapacke_cgerfs.o \
lapacke_cgerfs_work.o \
lapacke_cgerqf.o \
lapacke_cgerqf_work.o \
lapacke_cgesdd.o \
lapacke_cgesdd_work.o \
lapacke_cgesv.o \
lapacke_cgesv_work.o \
lapacke_cgesvd.o \
lapacke_cgesvd_work.o \
lapacke_cgesvx.o \
lapacke_cgesvx_work.o \
lapacke_cgetf2.o \
lapacke_cgetf2_work.o \
lapacke_cgetrf.o \
lapacke_cgetrf_work.o \
lapacke_cgetri.o \
lapacke_cgetri_work.o \
lapacke_cgetrs.o \
lapacke_cgetrs_work.o \
lapacke_cggbak.o \
lapacke_cggbak_work.o \
lapacke_cggbal.o \
lapacke_cggbal_work.o \
lapacke_cgges.o \
lapacke_cgges_work.o \
lapacke_cggesx.o \
lapacke_cggesx_work.o \
lapacke_cggev.o \
lapacke_cggev_work.o \
lapacke_cggevx.o \
lapacke_cggevx_work.o \
lapacke_cggglm.o \
lapacke_cggglm_work.o \
lapacke_cgghrd.o \
lapacke_cgghrd_work.o \
lapacke_cgglse.o \
lapacke_cgglse_work.o \
lapacke_cggqrf.o \
lapacke_cggqrf_work.o \
lapacke_cggrqf.o \
lapacke_cggrqf_work.o \
lapacke_cggsvd.o \
lapacke_cggsvd_work.o \
lapacke_cggsvp.o \
lapacke_cggsvp_work.o \
lapacke_cgtcon.o \
lapacke_cgtcon_work.o \
lapacke_cgtrfs.o \
lapacke_cgtrfs_work.o \
lapacke_cgtsv.o \
lapacke_cgtsv_work.o \
lapacke_cgtsvx.o \
lapacke_cgtsvx_work.o \
lapacke_cgttrf.o \
lapacke_cgttrf_work.o \
lapacke_cgttrs.o \
lapacke_cgttrs_work.o \
lapacke_chbev.o \
lapacke_chbev_work.o \
lapacke_chbevd.o \
lapacke_chbevd_work.o \
lapacke_chbevx.o \
lapacke_chbevx_work.o \
lapacke_chbgst.o \
lapacke_chbgst_work.o \
lapacke_chbgv.o \
lapacke_chbgv_work.o \
lapacke_chbgvd.o \
lapacke_chbgvd_work.o \
lapacke_chbgvx.o \
lapacke_chbgvx_work.o \
lapacke_chbtrd.o \
lapacke_chbtrd_work.o \
lapacke_checon.o \
lapacke_checon_work.o \
lapacke_cheequb.o \
lapacke_cheequb_work.o \
lapacke_cheev.o \
lapacke_cheev_work.o \
lapacke_cheevd.o \
lapacke_cheevd_work.o \
lapacke_cheevr.o \
lapacke_cheevr_work.o \
lapacke_cheevx.o \
lapacke_cheevx_work.o \
lapacke_chegst.o \
lapacke_chegst_work.o \
lapacke_chegv.o \
lapacke_chegv_work.o \
lapacke_chegvd.o \
lapacke_chegvd_work.o \
lapacke_chegvx.o \
lapacke_chegvx_work.o \
lapacke_cherfs.o \
lapacke_cherfs_work.o \
lapacke_chesv.o \
lapacke_chesv_work.o \
lapacke_chesvx.o \
lapacke_chesvx_work.o \
lapacke_cheswapr.o \
lapacke_cheswapr_work.o \
lapacke_chetrd.o \
lapacke_chetrd_work.o \
lapacke_chetrf.o \
lapacke_chetrf_work.o \
lapacke_chetri.o \
lapacke_chetri2.o \
lapacke_chetri2_work.o \
lapacke_chetri2x.o \
lapacke_chetri2x_work.o \
lapacke_chetri_work.o \
lapacke_chetrs.o \
lapacke_chetrs2.o \
lapacke_chetrs2_work.o \
lapacke_chetrs_work.o \
lapacke_chfrk.o \
lapacke_chfrk_work.o \
lapacke_chgeqz.o \
lapacke_chgeqz_work.o \
lapacke_chpcon.o \
lapacke_chpcon_work.o \
lapacke_chpev.o \
lapacke_chpev_work.o \
lapacke_chpevd.o \
lapacke_chpevd_work.o \
lapacke_chpevx.o \
lapacke_chpevx_work.o \
lapacke_chpgst.o \
lapacke_chpgst_work.o \
lapacke_chpgv.o \
lapacke_chpgv_work.o \
lapacke_chpgvd.o \
lapacke_chpgvd_work.o \
lapacke_chpgvx.o \
lapacke_chpgvx_work.o \
lapacke_chprfs.o \
lapacke_chprfs_work.o \
lapacke_chpsv.o \
lapacke_chpsv_work.o \
lapacke_chpsvx.o \
lapacke_chpsvx_work.o \
lapacke_chptrd.o \
lapacke_chptrd_work.o \
lapacke_chptrf.o \
lapacke_chptrf_work.o \
lapacke_chptri.o \
lapacke_chptri_work.o \
lapacke_chptrs.o \
lapacke_chptrs_work.o \
lapacke_chsein.o \
lapacke_chsein_work.o \
lapacke_chseqr.o \
lapacke_chseqr_work.o \
lapacke_clacgv.o \
lapacke_clacgv_work.o \
lapacke_clacn2.o \
lapacke_clacn2_work.o \
lapacke_clacp2.o \
lapacke_clacp2_work.o \
lapacke_clacpy.o \
lapacke_clacpy_work.o \
lapacke_clag2z.o \
lapacke_clag2z_work.o \
lapacke_clange.o \
lapacke_clange_work.o \
lapacke_clanhe.o \
lapacke_clanhe_work.o \
lapacke_clansy.o \
lapacke_clansy_work.o \
lapacke_clantr.o \
lapacke_clantr_work.o \
lapacke_clapmr.o \
lapacke_clapmr_work.o \
lapacke_clarfb.o \
lapacke_clarfb_work.o \
lapacke_clarfg.o \
lapacke_clarfg_work.o \
lapacke_clarft.o \
lapacke_clarft_work.o \
lapacke_clarfx.o \
lapacke_clarfx_work.o \
lapacke_clarnv.o \
lapacke_clarnv_work.o \
lapacke_claset.o \
lapacke_claset_work.o \
lapacke_claswp.o \
lapacke_claswp_work.o \
lapacke_clauum.o \
lapacke_clauum_work.o \
lapacke_cpbcon.o \
lapacke_cpbcon_work.o \
lapacke_cpbequ.o \
lapacke_cpbequ_work.o \
lapacke_cpbrfs.o \
lapacke_cpbrfs_work.o \
lapacke_cpbstf.o \
lapacke_cpbstf_work.o \
lapacke_cpbsv.o \
lapacke_cpbsv_work.o \
lapacke_cpbsvx.o \
lapacke_cpbsvx_work.o \
lapacke_cpbtrf.o \
lapacke_cpbtrf_work.o \
lapacke_cpbtrs.o \
lapacke_cpbtrs_work.o \
lapacke_cpftrf.o \
lapacke_cpftrf_work.o \
lapacke_cpftri.o \
lapacke_cpftri_work.o \
lapacke_cpftrs.o \
lapacke_cpftrs_work.o \
lapacke_cpocon.o \
lapacke_cpocon_work.o \
lapacke_cpoequ.o \
lapacke_cpoequ_work.o \
lapacke_cpoequb.o \
lapacke_cpoequb_work.o \
lapacke_cporfs.o \
lapacke_cporfs_work.o \
lapacke_cposv.o \
lapacke_cposv_work.o \
lapacke_cposvx.o \
lapacke_cposvx_work.o \
lapacke_cpotrf.o \
lapacke_cpotrf_work.o \
lapacke_cpotri.o \
lapacke_cpotri_work.o \
lapacke_cpotrs.o \
lapacke_cpotrs_work.o \
lapacke_cppcon.o \
lapacke_cppcon_work.o \
lapacke_cppequ.o \
lapacke_cppequ_work.o \
lapacke_cpprfs.o \
lapacke_cpprfs_work.o \
lapacke_cppsv.o \
lapacke_cppsv_work.o \
lapacke_cppsvx.o \
lapacke_cppsvx_work.o \
lapacke_cpptrf.o \
lapacke_cpptrf_work.o \
lapacke_cpptri.o \
lapacke_cpptri_work.o \
lapacke_cpptrs.o \
lapacke_cpptrs_work.o \
lapacke_cpstrf.o \
lapacke_cpstrf_work.o \
lapacke_cptcon.o \
lapacke_cptcon_work.o \
lapacke_cpteqr.o \
lapacke_cpteqr_work.o \
lapacke_cptrfs.o \
lapacke_cptrfs_work.o \
lapacke_cptsv.o \
lapacke_cptsv_work.o \
lapacke_cptsvx.o \
lapacke_cptsvx_work.o \
lapacke_cpttrf.o \
lapacke_cpttrf_work.o \
lapacke_cpttrs.o \
lapacke_cpttrs_work.o \
lapacke_cspcon.o \
lapacke_cspcon_work.o \
lapacke_csprfs.o \
lapacke_csprfs_work.o \
lapacke_cspsv.o \
lapacke_cspsv_work.o \
lapacke_cspsvx.o \
lapacke_cspsvx_work.o \
lapacke_csptrf.o \
lapacke_csptrf_work.o \
lapacke_csptri.o \
lapacke_csptri_work.o \
lapacke_csptrs.o \
lapacke_csptrs_work.o \
lapacke_cstedc.o \
lapacke_cstedc_work.o \
lapacke_cstegr.o \
lapacke_cstegr_work.o \
lapacke_cstein.o \
lapacke_cstein_work.o \
lapacke_cstemr.o \
lapacke_cstemr_work.o \
lapacke_csteqr.o \
lapacke_csteqr_work.o \
lapacke_csycon.o \
lapacke_csycon_work.o \
lapacke_csyconv.o \
lapacke_csyconv_work.o \
lapacke_csyequb.o \
lapacke_csyequb_work.o \
lapacke_csyrfs.o \
lapacke_csyrfs_work.o \
lapacke_csysv.o \
lapacke_csysv_rook.o \
lapacke_csysv_rook_work.o \
lapacke_csysv_work.o \
lapacke_csysvx.o \
lapacke_csysvx_work.o \
lapacke_csyswapr.o \
lapacke_csyswapr_work.o \
lapacke_csytrf.o \
lapacke_csytrf_work.o \
lapacke_csytri.o \
lapacke_csytri2.o \
lapacke_csytri2_work.o \
lapacke_csytri2x.o \
lapacke_csytri2x_work.o \
lapacke_csytri_work.o \
lapacke_csytrs.o \
lapacke_csytrs2.o \
lapacke_csytrs2_work.o \
lapacke_csytrs_work.o \
lapacke_ctbcon.o \
lapacke_ctbcon_work.o \
lapacke_ctbrfs.o \
lapacke_ctbrfs_work.o \
lapacke_ctbtrs.o \
lapacke_ctbtrs_work.o \
lapacke_ctfsm.o \
lapacke_ctfsm_work.o \
lapacke_ctftri.o \
lapacke_ctftri_work.o \
lapacke_ctfttp.o \
lapacke_ctfttp_work.o \
lapacke_ctfttr.o \
lapacke_ctfttr_work.o \
lapacke_ctgevc.o \
lapacke_ctgevc_work.o \
lapacke_ctgexc.o \
lapacke_ctgexc_work.o \
lapacke_ctgsen.o \
lapacke_ctgsen_work.o \
lapacke_ctgsja.o \
lapacke_ctgsja_work.o \
lapacke_ctgsna.o \
lapacke_ctgsna_work.o \
lapacke_ctgsyl.o \
lapacke_ctgsyl_work.o \
lapacke_ctpcon.o \
lapacke_ctpcon_work.o \
lapacke_ctpmqrt.o \
lapacke_ctpmqrt_work.o \
lapacke_ctpqrt.o \
lapacke_ctpqrt2.o \
lapacke_ctpqrt2_work.o \
lapacke_ctpqrt_work.o \
lapacke_ctprfb.o \
lapacke_ctprfb_work.o \
lapacke_ctprfs.o \
lapacke_ctprfs_work.o \
lapacke_ctptri.o \
lapacke_ctptri_work.o \
lapacke_ctptrs.o \
lapacke_ctptrs_work.o \
lapacke_ctpttf.o \
lapacke_ctpttf_work.o \
lapacke_ctpttr.o \
lapacke_ctpttr_work.o \
lapacke_ctrcon.o \
lapacke_ctrcon_work.o \
lapacke_ctrevc.o \
lapacke_ctrevc_work.o \
lapacke_ctrexc.o \
lapacke_ctrexc_work.o \
lapacke_ctrrfs.o \
lapacke_ctrrfs_work.o \
lapacke_ctrsen.o \
lapacke_ctrsen_work.o \
lapacke_ctrsna.o \
lapacke_ctrsna_work.o \
lapacke_ctrsyl.o \
lapacke_ctrsyl_work.o \
lapacke_ctrtri.o \
lapacke_ctrtri_work.o \
lapacke_ctrtrs.o \
lapacke_ctrtrs_work.o \
lapacke_ctrttf.o \
lapacke_ctrttf_work.o \
lapacke_ctrttp.o \
lapacke_ctrttp_work.o \
lapacke_ctzrzf.o \
lapacke_ctzrzf_work.o \
lapacke_cunbdb.o \
lapacke_cunbdb_work.o \
lapacke_cuncsd.o \
lapacke_cuncsd_work.o \
lapacke_cungbr.o \
lapacke_cungbr_work.o \

=== testing/LIN/Makefile ===
include ../../make.inc

#######################################################################
#  This makefile creates the test programs for the linear equation
#  routines in LAPACK.  The test files are grouped as follows:
#
#       ALINTST -- Auxiliary test routines
#       SLINTST -- Single precision real test routines
#       CLINTST -- Single precision complex test routines
#       SCLNTST -- Single and Complex routines in common
#       DLINTST -- Double precision real test routines
#       ZLINTST -- Double precision complex test routines
#       DZLNTST -- Double and Double Complex routines in common
#
#  Test programs can be generated for all or some of the four different
#  precisions.  Enter make followed by one or more of the data types
#  desired.  Some examples:
#       make single
#       make single complex
#       make single double complex complex16
#  Alternatively, the command
#       make
#  without any arguments creates all four test programs.
#  The executable files are called
#       xlintims, xlintimd, xlintimc, and xlintimz
#  and are created in the next higher directory level.
#
#  To remove the object files after the executable files have been
#  created, enter
#       make clean
#  On some systems, you can force the source files to be recompiled by
#  entering (for example)
#       make single FRC=FRC
#
#######################################################################

ifneq ($(strip $(VARLIB)),)
    LAPACKLIB :=  $(VARLIB) ../../$(LAPACKLIB)
endif


ALINTST = \
   aladhd.o alaerh.o alaesm.o alahd.o alareq.o \
   alasum.o alasvm.o chkxer.o icopy.o ilaenv.o xlaenv.o xerbla.o

SCLNTST= slaord.o

DZLNTST= dlaord.o 

SLINTST = schkaa.o \
   schkeq.o schkgb.o schkge.o schkgt.o \
   schklq.o schkpb.o schkpo.o schkps.o schkpp.o \
   schkpt.o schkq3.o schkql.o schkqp.o schkqr.o schkrq.o \
   schksp.o schksy.o schksy_rook.o schktb.o schktp.o schktr.o \
   schktz.o \
   sdrvgt.o sdrvls.o sdrvpb.o \
   sdrvpp.o sdrvpt.o sdrvsp.o  sdrvsy_rook.o\
   serrgt.o serrlq.o serrls.o \
   serrps.o serrql.o serrqp.o serrqr.o \
   serrrq.o serrtr.o serrtz.o \
   sgbt01.o sgbt02.o sgbt05.o sgelqs.o sgeqls.o sgeqrs.o \
   sgerqs.o sget01.o sget02.o \
   sget03.o sget04.o sget06.o sget07.o sgtt01.o sgtt02.o \
   sgtt05.o slaptm.o slarhs.o slatb4.o slatb5.o slattb.o slattp.o \
   slattr.o slavsp.o slavsy.o slavsy_rook.o slqt01.o slqt02.o \
   slqt03.o spbt01.o spbt02.o spbt05.o spot01.o \
   spot02.o spot03.o spot05.o spst01.o sppt01.o \
   sppt02.o sppt03.o sppt05.o sptt01.o sptt02.o \
   sptt05.o sqlt01.o sqlt02.o sqlt03.o sqpt01.o \
   sqrt01.o sqrt01p.o sqrt02.o sqrt03.o sqrt11.o sqrt12.o \
   sqrt13.o sqrt14.o sqrt15.o sqrt16.o sqrt17.o \
   srqt01.o srqt02.o srqt03.o srzt01.o srzt02.o \
   sspt01.o ssyt01.o ssyt01_rook.o \
   stbt02.o stbt03.o stbt05.o stbt06.o stpt01.o \
   stpt02.o stpt03.o stpt05.o stpt06.o strt01.o \
   strt02.o strt03.o strt05.o strt06.o \
   stzt01.o stzt02.o sgennd.o sqrt04.o sqrt05.o schkqrt.o serrqrt.o schkqrtp.o serrqrtp.o

ifdef USEXBLAS
SLINTST += serrvxx.o sdrvgex.o sdrvsyx.o serrgex.o sdrvgbx.o sdrvpox.o \
           sebchvxx.o serrsyx.o serrpox.o
else
SLINTST += serrvx.o sdrvge.o sdrvsy.o serrge.o sdrvgb.o sdrvpo.o \
           serrsy.o serrpo.o
endif

CLINTST = cchkaa.o \
   cchkeq.o cchkgb.o cchkge.o cchkgt.o \
   cchkhe.o cchkhe_rook.o cchkhp.o cchklq.o cchkpb.o \
   cchkpo.o cchkps.o cchkpp.o cchkpt.o cchkq3.o cchkql.o cchkqp.o \
   cchkqr.o cchkrq.o cchksp.o cchksy.o cchksy_rook.o cchktb.o \
   cchktp.o cchktr.o cchktz.o \
   cdrvgt.o cdrvhe_rook.o cdrvhp.o \
   cdrvls.o cdrvpb.o cdrvpp.o cdrvpt.o \
   cdrvsp.o cdrvsy_rook.o \
   cerrgt.o cerrlq.o \
   cerrls.o cerrps.o cerrql.o cerrqp.o \
   cerrqr.o cerrrq.o cerrtr.o cerrtz.o \
   cgbt01.o cgbt02.o cgbt05.o cgelqs.o cgeqls.o cgeqrs.o \
   cgerqs.o cget01.o cget02.o \
   cget03.o cget04.o cget07.o cgtt01.o cgtt02.o \
   cgtt05.o chet01.o chet01_rook.o chpt01.o claipd.o claptm.o clarhs.o clatb4.o clatb5.o \
   clatsp.o clatsy.o clattb.o clattp.o clattr.o \
   clavhe.o clavhe_rook.o clavhp.o clavsp.o clavsy.o clavsy_rook.o clqt01.o \
   clqt02.o clqt03.o cpbt01.o cpbt02.o cpbt05.o \
   cpot01.o cpot02.o cpot03.o cpot05.o cpst01.o \
   cppt01.o cppt02.o cppt03.o cppt05.o cptt01.o \
   cptt02.o cptt05.o cqlt01.o cqlt02.o cqlt03.o \
   cqpt01.o cqrt01.o cqrt01p.o cqrt02.o cqrt03.o cqrt11.o \
   cqrt12.o cqrt13.o cqrt14.o cqrt15.o cqrt16.o \
   cqrt17.o crqt01.o crqt02.o crqt03.o crzt01.o crzt02.o \
   csbmv.o  cspt01.o \
   cspt02.o cspt03.o csyt01.o csyt01_rook.o csyt02.o csyt03.o \
   ctbt02.o ctbt03.o ctbt05.o ctbt06.o ctpt01.o \
   ctpt02.o ctpt03.o ctpt05.o ctpt06.o ctrt01.o \
   ctrt02.o ctrt03.o ctrt05.o ctrt06.o \
   ctzt01.o ctzt02.o sget06.o cgennd.o \
   cqrt04.o cqrt05.o cchkqrt.o cerrqrt.o cchkqrtp.o cerrqrtp.o

ifdef USEXBLAS
CLINTST += cerrvxx.o cdrvgex.o cdrvsyx.o cdrvgbx.o cerrgex.o cdrvpox.o \
           cdrvhex.o cerrpox.o cebchvxx.o cerrsyx.o cerrhex.o
else
CLINTST += cerrvx.o cdrvge.o cdrvsy.o cdrvgb.o cerrge.o cdrvpo.o \
           cdrvhe.o cerrpo.o cerrsy.o cerrhe.o
endif

DLINTST = dchkaa.o \
   dchkeq.o dchkgb.o dchkge.o dchkgt.o \
   dchklq.o dchkpb.o dchkpo.o dchkps.o dchkpp.o \
   dchkpt.o dchkq3.o dchkql.o dchkqp.o dchkqr.o dchkrq.o \
   dchksp.o dchksy.o dchksy_rook.o dchktb.o dchktp.o dchktr.o \
   dchktz.o \
   ddrvgt.o ddrvls.o ddrvpb.o \
   ddrvpp.o ddrvpt.o ddrvsp.o ddrvsy_rook.o \
   derrgt.o derrlq.o derrls.o \
   derrps.o derrql.o derrqp.o derrqr.o \
   derrrq.o derrtr.o derrtz.o \
   dgbt01.o dgbt02.o dgbt05.o dgelqs.o dgeqls.o dgeqrs.o \
   dgerqs.o dget01.o dget02.o \
   dget03.o dget04.o dget06.o dget07.o dgtt01.o dgtt02.o \
   dgtt05.o dlaptm.o dlarhs.o dlatb4.o dlatb5.o dlattb.o dlattp.o \
   dlattr.o dlavsp.o dlavsy.o dlavsy_rook.o dlqt01.o dlqt02.o \
   dlqt03.o dpbt01.o dpbt02.o dpbt05.o dpot01.o \
   dpot02.o dpot03.o dpot05.o dpst01.o dppt01.o \
   dppt02.o dppt03.o dppt05.o dptt01.o dptt02.o \
   dptt05.o dqlt01.o dqlt02.o dqlt03.o dqpt01.o \
   dqrt01.o dqrt01p.o  dqrt02.o dqrt03.o dqrt11.o dqrt12.o \
   dqrt13.o dqrt14.o dqrt15.o dqrt16.o dqrt17.o \
   drqt01.o drqt02.o drqt03.o drzt01.o drzt02.o \
   dspt01.o dsyt01.o dsyt01_rook.o \
   dtbt02.o dtbt03.o dtbt05.o dtbt06.o dtpt01.o \
   dtpt02.o dtpt03.o dtpt05.o dtpt06.o dtrt01.o \
   dtrt02.o dtrt03.o dtrt05.o dtrt06.o \
   dtzt01.o dtzt02.o dgennd.o \
   dqrt04.o dqrt05.o dchkqrt.o derrqrt.o dchkqrtp.o derrqrtp.o

ifdef USEXBLAS
DLINTST += derrvxx.o ddrvgex.o ddrvsyx.o ddrvgbx.o derrgex.o ddrvpox.o derrpox.o \
           debchvxx.o derrsyx.o
else
DLINTST += derrvx.o ddrvge.o ddrvsy.o ddrvgb.o derrge.o ddrvpo.o derrpo.o \
           derrsy.o
endif

ZLINTST = zchkaa.o \
   zchkeq.o zchkgb.o zchkge.o zchkgt.o \
   zchkhe.o zchkhe_rook.o zchkhp.o zchklq.o zchkpb.o \
   zchkpo.o zchkps.o zchkpp.o zchkpt.o zchkq3.o zchkql.o zchkqp.o \
   zchkqr.o zchkrq.o zchksp.o zchksy.o zchksy_rook.o zchktb.o \
   zchktp.o zchktr.o zchktz.o \
   zdrvgt.o zdrvhe_rook.o zdrvhp.o \
   zdrvls.o zdrvpb.o zdrvpp.o zdrvpt.o \
   zdrvsp.o zdrvsy_rook.o \
   zerrgt.o zerrlq.o \
   zerrls.o zerrps.o zerrql.o zerrqp.o \
   zerrqr.o zerrrq.o zerrtr.o zerrtz.o \
   zgbt01.o zgbt02.o zgbt05.o zgelqs.o zgeqls.o zgeqrs.o \
   zgerqs.o zget01.o zget02.o \
   zget03.o zget04.o zget07.o zgtt01.o zgtt02.o \
   zgtt05.o zhet01.o zhet01_rook.o zhpt01.o zlaipd.o zlaptm.o zlarhs.o zlatb4.o zlatb5.o \
   zlatsp.o zlatsy.o zlattb.o zlattp.o zlattr.o \
   zlavhe.o zlavhe_rook.o zlavhp.o zlavsp.o zlavsy.o zlavsy_rook.o zlqt01.o \
   zlqt02.o zlqt03.o zpbt01.o zpbt02.o zpbt05.o \
   zpot01.o zpot02.o zpot03.o zpot05.o zpst01.o \
   zppt01.o zppt02.o zppt03.o zppt05.o zptt01.o \
   zptt02.o zptt05.o zqlt01.o zqlt02.o zqlt03.o \
   zqpt01.o zqrt01.o zqrt01p.o zqrt02.o zqrt03.o zqrt11.o \
   zqrt12.o zqrt13.o zqrt14.o zqrt15.o zqrt16.o \
   zqrt17.o zrqt01.o zrqt02.o zrqt03.o zrzt01.o zrzt02.o \
   zsbmv.o  zspt01.o \
   zspt02.o zspt03.o zsyt01.o zsyt01_rook.o zsyt02.o zsyt03.o \
   ztbt02.o ztbt03.o ztbt05.o ztbt06.o ztpt01.o \
   ztpt02.o ztpt03.o ztpt05.o ztpt06.o ztrt01.o \
   ztrt02.o ztrt03.o ztrt05.o ztrt06.o \
   ztzt01.o ztzt02.o dget06.o zgennd.o \
   zqrt04.o zqrt05.o zchkqrt.o zerrqrt.o zchkqrtp.o zerrqrtp.o

ifdef USEXBLAS
ZLINTST += zerrvxx.o zdrvgex.o zdrvsyx.o zdrvgbx.o zerrgex.o zdrvpox.o zdrvhex.o \
           zerrpox.o zebchvxx.o zerrsyx.o zerrhex.o
else
ZLINTST += zerrvx.o zdrvge.o zdrvsy.o zdrvgb.o zerrge.o zdrvpo.o \
           zdrvhe.o zerrpo.o zerrsy.o zerrhe.o
endif

DSLINTST = dchkab.o \
	ddrvab.o ddrvac.o derrab.o derrac.o dget08.o          \
	alaerh.o alahd.o  aladhd.o alareq.o \
	chkxer.o dlarhs.o dlatb4.o xerbla.o \
	dget02.o dpot06.o

ZCLINTST = zchkab.o \
	zdrvab.o zdrvac.o zerrab.o zerrac.o zget08.o          \
	alaerh.o alahd.o  aladhd.o alareq.o \
	chkxer.o zget02.o zlarhs.o zlatb4.o \
	zsbmv.o  xerbla.o zpot06.o zlaipd.o

SLINTSTRFP = schkrfp.o sdrvrfp.o sdrvrf1.o sdrvrf2.o sdrvrf3.o sdrvrf4.o serrrfp.o \
	slatb4.o slarhs.o sget04.o spot01.o spot03.o spot02.o \
	chkxer.o xerbla.o alaerh.o aladhd.o alahd.o alasvm.o 

DLINTSTRFP = dchkrfp.o ddrvrfp.o ddrvrf1.o ddrvrf2.o ddrvrf3.o ddrvrf4.o derrrfp.o \
	dlatb4.o dlarhs.o dget04.o dpot01.o dpot03.o dpot02.o \
	chkxer.o xerbla.o alaerh.o aladhd.o alahd.o alasvm.o 

CLINTSTRFP = cchkrfp.o cdrvrfp.o cdrvrf1.o cdrvrf2.o cdrvrf3.o cdrvrf4.o cerrrfp.o \
	claipd.o clatb4.o clarhs.o csbmv.o cget04.o cpot01.o cpot03.o cpot02.o \
	chkxer.o xerbla.o alaerh.o aladhd.o alahd.o alasvm.o 

ZLINTSTRFP = zchkrfp.o zdrvrfp.o zdrvrf1.o zdrvrf2.o zdrvrf3.o zdrvrf4.o zerrrfp.o \
	zlatb4.o zlaipd.o zlarhs.o zsbmv.o zget04.o zpot01.o zpot03.o zpot02.o \
	chkxer.o xerbla.o alaerh.o aladhd.o alahd.o alasvm.o 

all:  single double complex complex16 proto-single proto-double proto-complex proto-complex16

single: ../xlintsts
double: ../xlintstd 
complex: ../xlintstc
complex16: ../xlintstz 

proto-single: ../xlintstrfs
proto-double: ../xlintstds ../xlintstrfd
proto-complex: ../xlintstrfc
proto-complex16: ../xlintstzc ../xlintstrfz

xlintsts : $(ALINTST) $(SLINTST) $(SCLNTST) ../../$(LAPACKLIB)
	$(LOADER) $(LOADOPTS)  $(ALINTST) $(SCLNTST) $(SLINTST) \
        ../../$(TMGLIB) ../../$(LAPACKLIB) $(XBLASLIB)  $(BLASLIB) -o $@

xlintstc : $(ALINTST) $(CLINTST) $(SCLNTST) ../../$(LAPACKLIB)
	$(LOADER) $(LOADOPTS)  $(ALINTST) $(SCLNTST) $(CLINTST) \
        ../../$(TMGLIB) ../../$(LAPACKLIB) $(XBLASLIB)  $(BLASLIB) -o $@
 
xlintstd : $(ALINTST) $(DLINTST) $(DZLNTST) ../../$(LAPACKLIB)
	$(LOADER) $(LOADOPTS) $^ \
        ../../$(TMGLIB) ../../$(LAPACKLIB) $(XBLASLIB) $(BLASLIB) -o $@
 
xlintstz : $(ALINTST) $(ZLINTST) $(DZLNTST) ../../$(LAPACKLIB)
	$(LOADER) $(LOADOPTS)  $(ALINTST) $(DZLNTST) $(ZLINTST) \
        ../../$(TMGLIB) ../../$(LAPACKLIB) $(XBLASLIB)  $(BLASLIB) -o $@
 
xlintstds : $(DSLINTST) ../../$(LAPACKLIB)
	$(LOADER) $(LOADOPTS)  $(DSLINTST) \
        ../../$(TMGLIB) ../../$(LAPACKLIB) $(BLASLIB) -o $@
 
xlintstzc : $(ZCLINTST) ../../$(LAPACKLIB)
	$(LOADER) $(LOADOPTS)  $(ZCLINTST) \
        ../../$(TMGLIB) ../../$(LAPACKLIB) $(BLASLIB) -o $@
 
xlintstrfs : $(SLINTSTRFP) ../../$(LAPACKLIB)
	$(LOADER) $(LOADOPTS)  $(SLINTSTRFP) \
        ../../$(TMGLIB) ../../$(LAPACKLIB) $(BLASLIB) -o $@
 
xlintstrfd : $(DLINTSTRFP) ../../$(LAPACKLIB)
	$(LOADER) $(LOADOPTS)  $(DLINTSTRFP) \
        ../../$(TMGLIB) ../../$(LAPACKLIB) $(BLASLIB) -o $@
 
xlintstrfc : $(CLINTSTRFP) ../../$(LAPACKLIB)
	$(LOADER) $(LOADOPTS)  $(CLINTSTRFP) \
        ../../$(TMGLIB) ../../$(LAPACKLIB) $(BLASLIB) -o $@
 
xlintstrfz : $(ZLINTSTRFP) ../../$(LAPACKLIB)
	$(LOADER) $(LOADOPTS)  $(ZLINTSTRFP) \
        ../../$(TMGLIB) ../../$(LAPACKLIB) $(BLASLIB) -o $@
 
../xlintsts: xlintsts
	mv xlintsts $@

../xlintstc: xlintstc
	mv xlintstc $@

../xlintstz: xlintstz
	mv xlintstz $@

../xlintstd: xlintstd
	mv xlintstd $@

../xlintstds: xlintstds
	mv xlintstds $@

../xlintstzc: xlintstzc
	mv xlintstzc $@

../xlintstrfs: xlintstrfs
	mv xlintstrfs $@

../xlintstrfc: xlintstrfc
	mv xlintstrfc $@

=== debian/changelog ===
lapack (3.5.0-2ubuntu1) trusty; urgency=medium

  * gcc is not enough for the xerbla-c test as we also need libc6-dev and
    others. Just upgrade the dependency to build-essential.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 26 Feb 2014 16:14:24 +0100

lapack (3.5.0-2) unstable; urgency=low

  * Do not compile the testsuite with -frecursive. Otherwise some test
    binaries allocate too much space on the stack, leading to crashes on
    mips{,el}.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 23 Nov 2013 16:08:26 +0100

lapack (3.5.0-1) unstable; urgency=low

  * New upstream release.
  * Upstream tarball is now DFSG-compatible, adapt the repackaging code.
  * Remove recursive.patch. Replace it by the -frecursive flag to gfortran, as
    recommended by upstream for fixing #693269.
  * debian/copyright: document the license of lapacke.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Ship lapacke PDF in liblapack-doc.
  * doxygen-exclude-binary-objects.patch: new patch, makes Doxygen skip binary
    objects.
  * liblapack-doc: go back to Doxygen-generated jquery.js, instead of the
    version shipped in the libjs-jquery package. Otherwise the HTML
    documentation is unusable.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 21 Nov 2013 22:40:10 +0100

lapack (3.4.2+dfsg-4) unstable; urgency=low

  * ia64_ignore_testfailures.patch: now ignore all test failures on ia64.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 21 Sep 2013 18:00:10 +0200

lapack (3.4.2+dfsg-3) unstable; urgency=low

  * Remove -funroll-all-loops from build flags. It may diminish
    performance, and creates segfaults on ia64.
  * ia64_ignore_testfailures.patch: new patch. Ignore two test failures on
    ia64.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 21 Sep 2013 14:22:36 +0200

=== debian/control ===
Source: lapack
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>,
           Sébastien Villemot <sebastien@debian.org>
Build-Depends: debhelper (>= 9), gfortran, libblas-dev (>= 1.2.20110419-3),
 python
Build-Depends-Indep: doxygen, graphviz
Standards-Version: 3.9.5
Homepage: http://www.netlib.org/lapack/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/lapack.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/lapack.git
XS-Testsuite: autopkgtest

Package: liblapack3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: liblapack.so.3gf, liblapack.so.3, liblapack3gf
Replaces: libatlas3gf-base (<< 3.8.4-4), liblapack3gf (<< 3.4.1-1)
Breaks: libatlas3gf-base (<< 3.8.4-4), liblapack3gf (<< 3.4.1-1)
Description: Library of linear algebra routines 3 - shared version
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.

Package: liblapack3gf
Architecture: all
Section: oldlibs
Depends: ${misc:Depends}, liblapack3
Description: Transitional package for liblapack3
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.

Package: liblapacke
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: liblapacke.so.3
Description: Library of linear algebra routines 3 - C lib shared version
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 This package contains the Standard C language library for LAPACK.

Package: liblapacke-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, liblapacke (= ${binary:Version})
Description: Library of linear algebra routines 3 - Headers
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 This package contains the Standard C language headers for LAPACK.

Package: liblapack-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, liblapack3 (= ${binary:Version}),
 libblas-dev | libblas.so
Provides: liblapack.so
Description: Library of linear algebra routines 3 - static version
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.

Package: liblapack-pic
Section: libdevel
Architecture: any
Conflicts: lapack-pic, lapack3-pic
Replaces: lapack-pic, lapack3-pic
Depends: ${misc:Depends}, liblapack3 (= ${binary:Version})
Description: Library of linear algebra routines 3 - static PIC version
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 Normally one would want to use non-PIC code for static linking.  In
 this case, install liblapack-dev.  This package is provided for other
 packages, such as ATLAS, needing access to PIC versions of the lapack
 objects in their own build process.

Package: liblapack-test
Section: devel
Priority: extra
Architecture: any
Conflicts: lapack-test, lapack3-test
Replaces: lapack-test, lapack3-test
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library of linear algebra routines 3 - testing programs
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 These testing programs have been run against the
 shared library in the lapack package.  The results have been
 collected in the files test_results.  These
 programs are provided separately here so that the user can
 test and compare alternate versions of the lapack libraries,
 such as those provided by the ATLAS packages, and the lapack
 package.

Package: liblapack-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Conflicts: lapack-doc, lapack3-doc
Replaces: lapack-doc, lapack3-doc
Description: Library of linear algebra routines 3 - documentation
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 This package contains the Lapack User's Guide manual in html format.
 .
 Since version 3.4.0, the HTML documentation is generated thanks to doxygen.

Package: liblapack-doc-man
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Library of linear algebra routines 3 - documentation (manual pages)
 LAPACK version 3.X is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 This package contains the Lapack User's Guide manual in man format.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SO:=3
MN:=0
VERS:=$(SO).$(MN)

# xerblas_ and LAPACK_xerblas must be overrideable by applications
# --dynamic-list does not work with gold, so drop the flag completely
BUILDFLAGS_ENV:=DEB_LDFLAGS_MAINT_STRIP="-Wl,-Bsymbolic-functions"
LDFLAGS:=$(shell $(BUILDFLAGS_ENV) dpkg-buildflags --get LDFLAGS)

F77:=gfortran
FFLAGS:=$(shell dpkg-buildflags --get FFLAGS)
FFLAGS_NOOPT:=$(shell DEB_BUILD_OPTIONS=noopt dpkg-buildflags --get FFLAGS)

CC:=/usr/bin/cc
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)

ARCH:=$(shell dpkg --print-architecture)

ifeq ($(ARCH),alpha)
  FFLAGS += -mieee
  FFLAGS_NOOPT += -mieee
endif

# Using the -frecursive flag is the solution recommended by upstream for #693269
# However, we don't want to use -frecursive for the testsuite, it leads to
#  segfaults on mips{,el} (xeigtstz allocates too much space on the stack)
FFLAGS_TESTSUITE := $(FFLAGS)
FFLAGS += -frecursive
FFLAGS_NOOPT += -frecursive

# Support parallel build
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

#
#
# Configure
#
#

make.inc: install/make.inc.gfortran
	cat $< | sed -e "s,\(^NOOPT  *=\).*,\1 \$$(PICOPTS) $(FFLAGS_NOOPT),1" \
		     -e "s,\(^OPTS  *=\).*,\1 \$$(PICOPTS) $(FFLAGS),1" \
		     -e "s/\(^LOADOPTS  *=\).*/\1 $(LDFLAGS)/1" \
		     -e "s,\(^CFLAGS  *=\).*,\1 $(CPPFLAGS) \$$(PICOPTS) $(CFLAGS),1" \
		     -e "s,[^ ]*blas[^ ]*\.a,-lblas,1" > $@

#
#
# Build rules for libraries
#
#

liblapack_pic.a: make.inc testing/Makefile
	echo "Building liblapack_pic.a"
	$(MAKE) cleanlib
	$(MAKE) lapack_install PICOPTS=-fPIC
	$(MAKE) lib        PICOPTS=-fPIC
	mv liblapack.a $@

liblapack.so.$(VERS): liblapack_pic.a 
	echo "Building liblapack.so.$(VERS) from liblapack_pic.a"
	mkdir -p tmp
	cd tmp && ar x ../$<
	$(F77) -shared -Wl,-soname=liblapack.so.$(SO) -o $@ tmp/*.o  -L. -lblas $(LDFLAGS)
	rm -rf tmp

liblapack.so.$(SO): liblapack.so.$(VERS)
	ln -snf $< $@

liblapack.so: liblapack.so.$(SO)
	ln -snf $< $@

liblapack.a: make.inc
	echo "Building liblapack.a"
	$(MAKE) lapack_install
	$(MAKE) lib

lapacke/liblapacke_pic.a: make.inc
	echo "Building liblapacke_pic.a"
	cd lapacke; \
	$(MAKE) cleanlib; \
	$(MAKE) PICOPTS=-fPIC; \
	mv ../liblapacke.a $(@F)

lapacke/liblapacke.so.$(VERS): lapacke/liblapacke_pic.a 
	echo "Building liblapacke.so.$(VERS) from liblapacke_pic.a"
	cd lapacke; \
	mkdir -p tmp; \
	cd tmp && ar x ../$(<F) && cd -; \
	$(CC) -shared -Wl,-soname=liblapacke.so.$(SO) -o $(@F) tmp/*.o  -L.. -lblas -llapack $(LDFLAGS); \
	rm -rf tmp

lapacke/liblapacke.so.$(SO): lapacke/liblapacke.so.$(VERS)
	cd lapacke; \
	ln -snf $(<F) $(@F)

lapacke/liblapacke.so: lapacke/liblapacke.so.$(SO)
	cd lapacke; \
	ln -snf $(<F) $(@F)

lapacke/liblapacke.a: make.inc
	echo "Building liblapacke.a"
	cd lapacke; \
	$(MAKE) ; \
	mv ../liblapacke.a $(@F)

#
#
# Testing rules
#
#

testing/testing_results.txt: liblapack.so
	LD_LIBRARY_PATH=$$(pwd):$$LD_LIBRARY_PATH \
		$(MAKE) PICOPTS= OPTS="$(FFLAGS_TESTSUITE)" \
		LLIB="-L $$(pwd) -llapack -lblas" lapack_testing

#
#
# Package rules
#
#

%:
	dh $@ --parallel

override_dh_auto_clean: make.inc
	dh_testdir
	rm -rf debian/*_stamp debian/*_results lib* testing/*out
	rm -rf *.a install/test* debian/test/ debian/time/
	rm -f testing/tmp testing/testing_results.txt
	cd lapacke && $(MAKE) clean
	rm -f lapacke/*.a lapacke/*.so lapacke/*.so.* lapacke/include/lapacke_mangling.h
	touch TESTING/xlinfoo TESTING/xeigfoo  && $(MAKE) clean
	rm -rf DOCS/explore-html/ DOCS/man/
	rm -f output_err
	rm -f make.inc

# liblapack_pic.a must come before liblapack.a, otherwise the latter will be overwritten
# We also build the test programs, in order to avoid FTBFS if DEB_BUILD_OPTIONS contains nocheck
override_dh_auto_build-arch: liblapack_pic.a liblapack.a liblapack.so lapacke/liblapacke_pic.a lapacke/liblapacke.a lapacke/liblapacke.so
	make OPTS="$(FFLAGS_TESTSUITE)" -C testing xeigtstc xeigtstd xeigtsts xeigtstz xlintstc xlintstd xlintsts xlintstz xlintstds xlintstrfc xlintstrfd xlintstrfs xlintstrfz xlintstzc

override_dh_auto_build-indep: make.inc
	$(MAKE) html
	$(MAKE) man

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test-arch: testing/testing_results.txt
else
override_dh_auto_test-arch:
	touch testing/testing_results.txt
endif

override_dh_makeshlibs:
	dh_makeshlibs -a -pliblapack3 -V "liblapack3 | liblapack.so.3" -n
	dh_makeshlibs -a -Nliblapack3

override_dh_shlibdeps:
	dh_shlibdeps -a -l $$(pwd)

# Do not compress the .map files in HTML generated documentation
override_dh_compress-indep:
	dh_compress -i -X.map

# This Makefile must be run serially (because non-PIC and PIC versions must be
# built sequentially), but the sub-makes can still be parallized
.NOTPARALLEL:

=== debian/tests/control ===
Tests: xerbla-fortran
Depends: liblapack-dev, gfortran

Tests: xerbla-c
Depends: liblapacke-dev, build-essential

=== debian/watch ===
version=3
http://www.netlib.org/lapack/ lapack-([\d\.]+)\.tgz debian debian/orig-tar.sh
